!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl3()
    coupl(nGC_66) = sqrt(2d0)*CWqL3x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_67) = sqrt(2d0)*CWqL3x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_64) = sqrt(2d0)*CWqL2x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_5293) = -sqrt(2d0)*CWlL2x2*cima*ee*kWL/(2d0*sw**2d0)
    coupl(nGC_62) = sqrt(2d0)*CWqL2x1*cima*ee*kWL/(2d0*sw)
    coupl(nGC_63) = sqrt(2d0)*CWqL2x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_60) = sqrt(2d0)*CWqL1x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_68) = sqrt(2d0)*CWlR1x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_115) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_113) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_111) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_110) = cima*ee*sw/(3d0*cw)
    coupl(nGC_389) = -coupl(nGC_45)
    coupl(nGC_277) = -2d0*coupl(nGC_5)
    coupl(nGC_2841) = -2d0*coupl(nGC_12)
    coupl(nGC_337) = -coupl(nGC_49)/2d0
    coupl(nGC_589) = -coupl(nGC_41)
    coupl(nGC_609) = -coupl(nGC_39)
    coupl(nGC_767) = -coupl(nGC_149)
    coupl(nGC_269) = -coupl(nGC_44)
    coupl(nGC_1351) = -coupl(nGC_137)
    coupl(nGC_253) = -coupl(nGC_146)
    coupl(nGC_881) = -2d0*coupl(nGC_36)
    coupl(nGC_2637) = -coupl(nGC_113)
  end subroutine fill_couplings_mdl3
end module fill_couplings3
