!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_5131) = cima*dyt_QED1_QCD2
    coupl(nGC_5133) = -cima*dyb_QED1_QCD2
    coupl(nGC_5132) = -cima*dyb_QED1
    coupl(nGC_5139) = coupl(nGC_5137)*dyb_QED1_QCD2
    coupl(nGC_5444) = coupl(nGC_5442)*dcw_ + coupl(nGC_5443)*dsw_
    coupl(nGC_5449) = -cima*dMH2
    coupl(nGC_5135) = coupl(nGC_5134)*dyb_QED1
    coupl(nGC_5136) = coupl(nGC_5134)*dyb_QED1_QCD2
    coupl(nGC_5130) = cima*dyt_QED1
    coupl(nGC_5222) = coupl(nGC_5220)*dcw_ + coupl(nGC_5221)*dsw_
    coupl(nGC_5138) = coupl(nGC_5137)*dyb_QED1
    coupl(nGC_5048) = -cima*dlam_QED2
    coupl(nGC_5165) = coupl(nGC_5164)*dyc_QED1
    coupl(nGC_5304) = coupl(nGC_5303)*dsw_
    coupl(nGC_7562) = coupl(nGC_159)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5262) = coupl(nGC_5261)*dsw_
    coupl(nGC_5278) = coupl(nGC_5277)*dsw_
    coupl(nGC_5282) = coupl(nGC_5281)*dsw_
    coupl(nGC_8142) = coupl(nGC_154)*dZbL_QCD2/2d0 + coupl(nGC_154)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5131)
    coupl(nGC_5280) = coupl(nGC_5279)*dsw_
    coupl(nGC_7956) = coupl(nGC_3)*(dZA + 2d0*dZWMinus)/2d0
    coupl(nGC_5128) = coupl(nGC_5127)*dys_QED1
    coupl(nGC_5129) = coupl(nGC_5127)*dys_QED1_QCD2
    coupl(nGC_5458) = -cima*dMS_QCD2
    coupl(nGC_5459) = -cima*dMB_QCD2
    coupl(nGC_5456) = -cima*dMT_QCD2
    coupl(nGC_5457) = -cima*dMD_QCD2
    coupl(nGC_5454) = -cima*dMU_QCD2
    coupl(nGC_5455) = -cima*dMC_QCD2
    coupl(nGC_5452) = -cima*dMM
    coupl(nGC_5453) = -cima*dMTA
    coupl(nGC_5451) = -cima*dME
    coupl(nGC_7872) = coupl(nGC_101)*dZuR_QCD2
    coupl(nGC_5159) = coupl(nGC_5158)*dyup_QED1
    coupl(nGC_7602) = coupl(nGC_4)*dZtauMinusL
    coupl(nGC_5334) = coupl(nGC_5332)*dcw_ + coupl(nGC_5333)*dsw_
    coupl(nGC_5232) = coupl(nGC_5229)*dcw_ + coupl(nGC_5230)*dsw_ + coupl(     &
                      nGC_5231)*dvev_QEDM1
    coupl(nGC_5235) = coupl(nGC_5233)*dcw_ + coupl(nGC_5234)*dsw_
    coupl(nGC_5296) = coupl(nGC_5295)*dsw_
    coupl(nGC_8817) = coupl(nGC_102)*dZcR_QCD2
    coupl(nGC_8585) = coupl(nGC_23)*(dZcL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_7655) = coupl(nGC_25)*(dZcL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_5240) = coupl(nGC_5239)*dsw_
    coupl(nGC_5244) = coupl(nGC_5243)*dsw_
    coupl(nGC_7898) = coupl(nGC_26)*(dZdR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5242) = coupl(nGC_5241)*dsw_
    coupl(nGC_8064) = coupl(nGC_5334) + coupl(nGC_96)*dZZp/2d0
    coupl(nGC_8061) = coupl(nGC_96)*dZsR_QCD2
    coupl(nGC_7606) = coupl(nGC_160)*(dZuL_QCD2 + dZuR_QCD2)/2d0
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
