!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl10()
    coupl(nGC_5015) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 +   &
                      coupl(nGC_60)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)**&
                      2d0 + coupl(nGC_63)**2d0 + coupl(nGC_64)**2d0 + coupl(   &
                      nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_67)**2d0 + &
                      coupl(nGC_77)**2d0 + coupl(nGC_78)**2d0 + coupl(nGC_79)**&
                      2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)**2d0 + coupl(   &
                      nGC_82)**2d0 + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0 + &
                      coupl(nGC_85)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5012) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_110)**2d0 - &
                      coupl(nGC_111)**2d0 - coupl(nGC_114)**2d0 - coupl(nGC_115&
                      )**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_8659) = coupl(nGC_5290) + coupl(nGC_53)*dZWpMinus/2d0 + coupl(   &
                      nGC_53)*dZeMinusL/2d0 + coupl(nGC_53)*dZnu_muL/2d0
    coupl(nGC_5010) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_5011) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_110)**2d0 +  &
                      coupl(nGC_111)**2d0 + coupl(nGC_114)**2d0 + coupl(nGC_115&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9245) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_5238) = coupl(nGC_5236)*dcw_ + coupl(nGC_5237)*dsw_
    coupl(nGC_5337) = coupl(nGC_5335)*dcw_ + coupl(nGC_5336)*dsw_
    coupl(nGC_7809) = coupl(nGC_132)*dZH/2d0 + coupl(nGC_5171)
    coupl(nGC_7802) = coupl(nGC_141)*dZdR_QCD2/2d0 + coupl(nGC_141)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_5123)
    coupl(nGC_7801) = coupl(nGC_153)*dZdL_QCD2/2d0 + coupl(nGC_153)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5120)
    coupl(nGC_5276) = coupl(nGC_5275)*dsw_
    coupl(nGC_8569) = coupl(nGC_138)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_8664) = coupl(nGC_130)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_7723) = coupl(nGC_66)*(dZsL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_7720) = coupl(nGC_84)*(dZsR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8563) = coupl(nGC_108)*dZWMinus/2d0 + coupl(nGC_5427)
    coupl(nGC_8562) = coupl(nGC_108)*(dZcL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_7768) = coupl(nGC_122)*dZZ + coupl(nGC_5225)
    coupl(nGC_5272) = coupl(nGC_5271)*dsw_
    coupl(nGC_8763) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZmuMinusR +     &
                      coupl(nGC_5447)
    coupl(nGC_8762) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZmuMinusL +     &
                      coupl(nGC_5210)
    coupl(nGC_8582) = coupl(nGC_32)*(dZcR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_8588) = coupl(nGC_23)*dZZp/2d0 + coupl(nGC_5391)
    coupl(nGC_7652) = coupl(nGC_MI)*dZA
    coupl(nGC_7653) = -coupl(nGC_7652)
    coupl(nGC_7658) = coupl(nGC_34)*(dZcR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_4964) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_115)**2d0 - coupl(     &
                      nGC_1273)*coupl(nGC_156) - coupl(nGC_129)**2d0 - coupl(  &
                      nGC_155)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_42 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_8660) = coupl(nGC_5288) + coupl(nGC_71)*dZWpMinus/2d0 + coupl(   &
                      nGC_71)*dZeMinusR/2d0 + coupl(nGC_71)*dZnu_muR/2d0
    coupl(nGC_7718) = coupl(nGC_47)*dZA/2d0 + coupl(nGC_47)*dZH/2d0 + coupl(   &
                      nGC_47)*dZWMinus/2d0 + coupl(nGC_5182)
    coupl(nGC_8666) = -coupl(nGC_5136) - coupl(nGC_8664)
    coupl(nGC_8667) = coupl(nGC_5136) + coupl(nGC_8664)
    coupl(nGC_5248) = coupl(nGC_5247)*dsw_
    coupl(nGC_5246) = coupl(nGC_5245)*dsw_
    coupl(nGC_7715) = coupl(nGC_5308) + coupl(nGC_58)*dZWpMinus/2d0 + coupl(   &
                      nGC_58)*dZnu_tauL/2d0 + coupl(nGC_58)*dZtauMinusL/2d0
    coupl(nGC_7714) = coupl(nGC_5310) + coupl(nGC_76)*dZWpMinus/2d0 + coupl(   &
                      nGC_76)*dZnu_tauR/2d0 + coupl(nGC_76)*dZtauMinusR/2d0
    coupl(nGC_4905) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_8063) = coupl(nGC_5331) + coupl(nGC_87)*dZZp/2d0
    coupl(nGC_9591) = coupl(nGC_5178) + coupl(nGC_9586)
    coupl(nGC_9590) = coupl(nGC_155)*dZH/2d0 + coupl(nGC_5177)
    coupl(nGC_8105) = coupl(nGC_143)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_4821) = cima*(-cMB*coupl(nGC_88)*coupl(nGC_97) - cMC*coupl(nGC_64&
                      )*coupl(nGC_82) - cMD*coupl(nGC_18)*coupl(nGC_27) - cMS* &
                      coupl(nGC_19)*coupl(nGC_28) - cMT*coupl(nGC_67)*coupl(   &
                      nGC_85) - cMU*coupl(nGC_61)*coupl(nGC_79))/(8d0*pi**2d0)
    coupl(nGC_7774) = coupl(nGC_115)*dZuL_QCD2
    coupl(nGC_4904) = coupl(nGC_11)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5412) = coupl(nGC_5410)*dcw_ + coupl(nGC_5411)*dsw_
    coupl(nGC_7623) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_7622) = coupl(nGC_1)*dZA/2d0
    coupl(nGC_5418) = coupl(nGC_5416)*dcw_ + coupl(nGC_5417)*dsw_
    coupl(nGC_4824) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4825) = cima*(-coupl(nGC_27)**2d0 - coupl(nGC_28)**2d0 - coupl(  &
                      nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_85)**2d0 - &
                      coupl(nGC_97)**2d0)/(16d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
