!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl13()
    coupl(nGC_7594) = coupl(nGC_110)*dZsR_QCD2
    coupl(nGC_7591) = coupl(nGC_114)*dZsL_QCD2
    coupl(nGC_4974) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_109)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_134  &
                      )**2d0 - coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_140)**&
                      2d0 - coupl(nGC_149)*coupl(nGC_767) - coupl(nGC_150)**2d0&
                       - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_5142) = coupl(nGC_5141)*dye_QED1
    coupl(nGC_4828) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_109)**2d0 - coupl(  &
                      nGC_114)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7619) = coupl(nGC_5262) + coupl(nGC_64)*dZWpMinus/2d0
    coupl(nGC_7599) = coupl(nGC_5212) + coupl(nGC_9)*dZWMinus/2d0 + coupl(nGC_9&
                      )*dZZ/2d0
    coupl(nGC_7647) = coupl(nGC_5276) + coupl(nGC_68)*dZWpMinus/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0 + coupl(nGC_68)*dZnu_eR/2d0
    coupl(nGC_5065) = coupl(nGC_5063)*dMW2 + coupl(nGC_5064)*dsw_
    coupl(nGC_4829) = cima*(-coupl(nGC_17)**2d0 - coupl(nGC_19)**2d0 - coupl(  &
                      nGC_60)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_66)**2d0 - &
                      coupl(nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4944) = coupl(nGC_11)*sq2*(coupl(nGC_18)**2d0 + coupl(nGC_19)**  &
                      2d0 + coupl(nGC_61)**2d0 + coupl(nGC_64)**2d0 + coupl(   &
                      nGC_67)**2d0 + coupl(nGC_88)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4830) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(     &
                      nGC_114))/(8d0*pi**2d0)
    coupl(nGC_5038) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2831) + 9d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2841) - 60d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_9458) = coupl(nGC_105)*dZH/2d0 + coupl(nGC_5065)
    coupl(nGC_7819) = coupl(nGC_126)*dZH/2d0 + coupl(nGC_126)*dZWMinus + coupl(&
                      nGC_5198)
    coupl(nGC_8185) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5089)
    coupl(nGC_7810) = coupl(nGC_5172) + coupl(nGC_7805)
    coupl(nGC_7726) = coupl(nGC_5270) + coupl(nGC_66)*dZWpMinus/2d0
    coupl(nGC_8574) = coupl(nGC_5100) + coupl(nGC_8569)
    coupl(nGC_5144) = coupl(nGC_5143)*dye_QED1
    coupl(nGC_4843) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_27)**2d0 - coupl(  &
                      nGC_77)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_83)**2d0 - &
                      coupl(nGC_95)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4818) = cima*(-coupl(nGC_102)**2d0 - coupl(nGC_32)**2d0 - coupl( &
                      nGC_34)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)**2d0 - &
                      coupl(nGC_82)**2d0)/(16d0*pi**2d0)
    coupl(nGC_12637) = coupl(nGC_12635) + coupl(nGC_5455)
    coupl(nGC_12636) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_12634) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_5068) = coupl(nGC_5066)*dcw_ + coupl(nGC_5067)*dsw_
    coupl(nGC_7883) = coupl(nGC_62)*(dZcL_QCD2 + dZdL_QCD2)/2d0
    coupl(nGC_8987) = coupl(nGC_111)*dZcR_QCD2
    coupl(nGC_8984) = coupl(nGC_115)*dZcL_QCD2
    coupl(nGC_5394) = coupl(nGC_5392)*dcw_ + coupl(nGC_5393)*dsw_
    coupl(nGC_5397) = coupl(nGC_5395)*dcw_ + coupl(nGC_5396)*dsw_
    coupl(nGC_5258) = coupl(nGC_5257)*dsw_
    coupl(nGC_7881) = coupl(nGC_5302) + coupl(nGC_56)*dZWpMinus/2d0 + coupl(   &
                      nGC_56)*dZeMinusL/2d0 + coupl(nGC_56)*dZnu_tauL/2d0
    coupl(nGC_9374) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5087)
    coupl(nGC_9423) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_9422) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_9421) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_8050) = coupl(nGC_85)*(dZbR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8974) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_8975) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_8055) = coupl(nGC_5274) + coupl(nGC_85)*dZWpMinus/2d0
    coupl(nGC_8056) = coupl(nGC_5272) + coupl(nGC_67)*dZWpMinus/2d0
    coupl(nGC_8507) = coupl(nGC_162)*dZdL_QCD2/2d0 + coupl(nGC_162)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5094)
    coupl(nGC_8506) = coupl(nGC_136)*dZdR_QCD2/2d0 + coupl(nGC_136)*dZuL_QCD2/ &
                      2d0 + coupl(nGC_5091)
    coupl(nGC_5284) = coupl(nGC_5283)*dsw_
    coupl(nGC_5193) = coupl(nGC_5192)*dsw_
    coupl(nGC_5195) = coupl(nGC_5194)*dsw_
    coupl(nGC_7889) = coupl(nGC_5254) + coupl(nGC_80)*dZWpMinus/2d0
    coupl(nGC_7888) = coupl(nGC_5252) + coupl(nGC_62)*dZWpMinus/2d0
    coupl(nGC_7685) = coupl(nGC_94)*dZtL_QCD2
  end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
