!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl15()
    coupl(nGC_7988) = coupl(nGC_115)*dZtL_QCD2
    coupl(nGC_7664) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5087)
    coupl(nGC_5355) = coupl(nGC_5353)*dcw_ + coupl(nGC_5354)*dsw_
    coupl(nGC_8783) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_muL + coupl(&
                      nGC_5444)
    coupl(nGC_8394) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZeMinusL/2d0 &
                       + coupl(nGC_42)*dZnu_eL/2d0 + coupl(nGC_5429)
    coupl(nGC_4988) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(      &
                      nGC_160)**2d0 + coupl(nGC_161)*coupl(nGC_321) + coupl(   &
                      nGC_162)**2d0 + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_2)** &
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_8186) = -coupl(nGC_8185)
    coupl(nGC_7985) = coupl(nGC_111)*dZtR_QCD2
    coupl(nGC_10390) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_10394) = -coupl(nGC_10390)
    coupl(nGC_7771) = coupl(nGC_111)*dZuR_QCD2
    coupl(nGC_7775) = coupl(nGC_111)*dZZ/2d0 + coupl(nGC_5435)
    coupl(nGC_4999) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1273)*coupl( &
                      nGC_156) + coupl(nGC_130)*coupl(nGC_661) + coupl(nGC_133 &
                      )*coupl(nGC_647) + coupl(nGC_1351)*coupl(nGC_137) + coupl&
                      (nGC_139)*coupl(nGC_141) + coupl(nGC_149)*coupl(nGC_767  &
                      ) + coupl(nGC_151)*coupl(nGC_153) + coupl(nGC_161)*coupl(&
                      nGC_321))/(16d0*pi**2d0*Nc)
    coupl(nGC_4994) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_129)**2d0 - &
                      coupl(nGC_134)**2d0 - coupl(nGC_135)**2d0 - coupl(nGC_136&
                      )**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_154)**2d0 -     &
                      coupl(nGC_162)**2d0 - coupl(nGC_163)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7672) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_4858) = coupl(nGC_11)**2d0*coupl(nGC_162)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8649) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_5045)
    coupl(nGC_10085) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_5438) = coupl(nGC_5436)*dcw_ + coupl(nGC_5437)*dsw_
    coupl(nGC_4923) = coupl(nGC_11)**2d0*coupl(nGC_32)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9760) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_9761) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_9762) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_4926) = coupl(nGC_11)**2d0*coupl(nGC_17)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4929) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5432) = coupl(nGC_5430)*dcw_ + coupl(nGC_5431)*dsw_
    coupl(nGC_7952) = coupl(nGC_146)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5078) = coupl(nGC_5076)*dMW2 + coupl(nGC_5077)*dsw_
    coupl(nGC_7581) = coupl(nGC_43)*dZWMinus/2d0 + coupl(nGC_5423)
    coupl(nGC_5072) = coupl(nGC_5069)*dMW2 + coupl(nGC_5070)*dcw_ + coupl(     &
                      nGC_5071)*dsw_
    coupl(nGC_5075) = coupl(nGC_5073)*dcw_ + coupl(nGC_5074)*dsw_
    coupl(nGC_9112) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZnu_tauL/2d0 &
                       + coupl(nGC_42)*dZtauMinusL/2d0 + coupl(nGC_5429)
    coupl(nGC_4831) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_28)**2d0 - coupl(  &
                      nGC_78)**2d0 - coupl(nGC_81)**2d0 - coupl(nGC_84)**2d0 - &
                      coupl(nGC_96)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8864) = coupl(nGC_5169) + coupl(nGC_8861)
    coupl(nGC_8867) = coupl(nGC_128)*dZH/2d0 + coupl(nGC_128)*dZZ + coupl(     &
                      nGC_5232)
    coupl(nGC_8721) = coupl(nGC_45)*dZZ/2d0 + coupl(nGC_5068)
    coupl(nGC_8862) = -coupl(nGC_5168)
    coupl(nGC_8863) = -coupl(nGC_5169) - coupl(nGC_8861)
    coupl(nGC_5319) = coupl(nGC_5317)*dcw_ + coupl(nGC_5318)*dsw_
    coupl(nGC_8196) = -2d0*coupl(nGC_8185)
    coupl(nGC_11291) = coupl(nGC_5466) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_4962) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_110)**2d0 + coupl(nGC_1351)*coupl(nGC_137) + coupl(  &
                      nGC_136)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_139)*    &
                      coupl(nGC_141) + coupl(nGC_140)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4810) = cima*(-coupl(nGC_24)**2d0 - coupl(nGC_25)**2d0 - coupl(  &
                      nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_67)**2d0 - &
                      coupl(nGC_94)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8291) = coupl(nGC_5286) + coupl(nGC_70)*dZWpMinus/2d0 + coupl(   &
                      nGC_70)*dZnu_eR/2d0 + coupl(nGC_70)*dZtauMinusR/2d0
    coupl(nGC_8290) = coupl(nGC_52)*dZWpMinus/2d0 + coupl(nGC_52)*dZnu_eL/2d0  &
                       + coupl(nGC_52)*dZtauMinusL/2d0 + coupl(nGC_5284)
    coupl(nGC_8745) = coupl(nGC_39)*dZH/2d0 + coupl(nGC_39)*dZWMinus/2d0 +     &
                      coupl(nGC_5193)
    coupl(nGC_9862) = -coupl(nGC_9859)
    coupl(nGC_7730) = coupl(nGC_163)*dZsL_QCD2/2d0 + coupl(nGC_163)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5157)
    coupl(nGC_5382) = coupl(nGC_5380)*dcw_ + coupl(nGC_5381)*dsw_
    coupl(nGC_5268) = coupl(nGC_5267)*dsw_
  end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
