!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl17()
    coupl(nGC_7955) = coupl(nGC_5147) + coupl(nGC_7952)
    coupl(nGC_8822) = coupl(nGC_102)*dZZp/2d0 + coupl(nGC_5403)
    coupl(nGC_8823) = coupl(nGC_5406) + coupl(nGC_93)*dZZp/2d0
    coupl(nGC_7954) = -coupl(nGC_5147) - coupl(nGC_7952)
    coupl(nGC_4870) = coupl(nGC_11)**2d0*coupl(nGC_767)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8107) = coupl(nGC_5142) + coupl(nGC_8105)
    coupl(nGC_8106) = -coupl(nGC_5142) - coupl(nGC_8105)
    coupl(nGC_7673) = coupl(nGC_5456) + coupl(nGC_7670)
    coupl(nGC_7903) = coupl(nGC_26)*dZZp/2d0 + coupl(nGC_5319)
    coupl(nGC_7861) = coupl(nGC_122)*dZH + coupl(nGC_122)*dZZ + coupl(nGC_5225)
    coupl(nGC_7665) = -coupl(nGC_7664)
    coupl(nGC_9681) = -coupl(nGC_9677)
    coupl(nGC_7596) = coupl(nGC_110)*dZZ/2d0 + coupl(nGC_5438)
    coupl(nGC_7641) = coupl(nGC_5294) + coupl(nGC_54)*dZWpMinus/2d0 + coupl(   &
                      nGC_54)*dZmuMinusL/2d0 + coupl(nGC_54)*dZnu_muL/2d0
    coupl(nGC_7640) = coupl(nGC_5292) + coupl(nGC_72)*dZWpMinus/2d0 + coupl(   &
                      nGC_72)*dZmuMinusR/2d0 + coupl(nGC_72)*dZnu_muR/2d0
    coupl(nGC_7725) = coupl(nGC_5268) + coupl(nGC_84)*dZWpMinus/2d0
    coupl(nGC_7682) = coupl(nGC_44)*dZZ/2d0 + coupl(nGC_5075)
    coupl(nGC_13234) = -coupl(nGC_5024)
    coupl(nGC_7824) = coupl(nGC_144)*dZH/2d0 + coupl(nGC_5144)
    coupl(nGC_9600) = -coupl(nGC_8745)
    coupl(nGC_8406) = coupl(nGC_140)*dZdR_QCD2/2d0 + coupl(nGC_140)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_5109)
    coupl(nGC_8722) = -coupl(nGC_8721)
    coupl(nGC_8404) = coupl(nGC_140)*dZH/2d0 + coupl(nGC_5108)
    coupl(nGC_8405) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5112)
    coupl(nGC_7892) = coupl(nGC_35)*dZWMinus + coupl(nGC_5195)
    coupl(nGC_7618) = coupl(nGC_5260) + coupl(nGC_82)*dZWpMinus/2d0
    coupl(nGC_7696) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5421)
    coupl(nGC_8258) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZmuMinusL/2d0&
                       + coupl(nGC_42)*dZnu_muL/2d0 + coupl(nGC_5429)
    coupl(nGC_9184) = coupl(nGC_5465) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_7550) = -2d0*coupl(nGC_7549)
    coupl(nGC_7764) = coupl(nGC_45)*dZWMinus/2d0 + coupl(nGC_5068)
    coupl(nGC_9424) = coupl(nGC_5451) + coupl(nGC_9422)
    coupl(nGC_7760) = coupl(nGC_20)*dZZp/2d0 + coupl(nGC_20)*dZeMinusL/2d0 +   &
                      coupl(nGC_20)*dZmuMinusL/2d0 + coupl(nGC_5355)
    coupl(nGC_7761) = coupl(nGC_29)*dZZp/2d0 + coupl(nGC_29)*dZeMinusR/2d0 +   &
                      coupl(nGC_29)*dZmuMinusR/2d0 + coupl(nGC_5358)
    coupl(nGC_10086) = coupl(nGC_10084) + coupl(nGC_5454)
    coupl(nGC_8156) = coupl(nGC_33)*dZZp/2d0 + coupl(nGC_5397)
    coupl(nGC_9079) = coupl(nGC_5458) + coupl(nGC_9076)
    coupl(nGC_8178) = coupl(nGC_7600) + coupl(nGC_8175)
    coupl(nGC_9763) = coupl(nGC_5453) + coupl(nGC_9761)
    coupl(nGC_8839) = coupl(nGC_7696) + coupl(nGC_8834)
    coupl(nGC_7743) = -coupl(nGC_7742)
    coupl(nGC_4864) = coupl(nGC_11)**2d0*coupl(nGC_1351)*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_8336) = coupl(nGC_7696) + coupl(nGC_8335)
    coupl(nGC_8079) = coupl(nGC_30)*dZZp/2d0 + coupl(nGC_30)*dZeMinusR/2d0 +   &
                      coupl(nGC_30)*dZtauMinusR/2d0 + coupl(nGC_5361)
    coupl(nGC_8078) = coupl(nGC_21)*dZZp/2d0 + coupl(nGC_21)*dZeMinusL/2d0 +   &
                      coupl(nGC_21)*dZtauMinusL/2d0 + coupl(nGC_5364)
    coupl(nGC_7697) = coupl(nGC_7695) + coupl(nGC_7696)
    coupl(nGC_7765) = -coupl(nGC_7764)
    coupl(nGC_10605) = coupl(nGC_10601) + coupl(nGC_7696)
    coupl(nGC_8337) = coupl(nGC_7696) + coupl(nGC_8334)
    coupl(nGC_7698) = coupl(nGC_7694) + coupl(nGC_7696)
  end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
