!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl18()
    coupl(nGC_9239) = coupl(nGC_7696) + coupl(nGC_9238)
    coupl(nGC_9240) = coupl(nGC_7696) + coupl(nGC_9235)
    coupl(nGC_10606) = coupl(nGC_10602) + coupl(nGC_7696)
    coupl(nGC_9465) = -coupl(nGC_8227)
    coupl(nGC_7683) = -coupl(nGC_7682)
    coupl(nGC_8838) = coupl(nGC_7696) + coupl(nGC_8837)
    coupl(nGC_7825) = coupl(nGC_7821) + coupl(nGC_7824)
    coupl(nGC_8115) = coupl(nGC_7696) + coupl(nGC_8113)
    coupl(nGC_8116) = coupl(nGC_7696) + coupl(nGC_8114)
  end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
