!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_5106) = coupl(nGC_5104)*dydo_QED1_QCD2
    coupl(nGC_7556) = coupl(nGC_5296) + coupl(nGC_55)*dZWpMinus/2d0 + coupl(   &
                      nGC_55)*dZnu_muL/2d0 + coupl(nGC_55)*dZtauMinusL/2d0
    coupl(nGC_4884) = coupl(nGC_11)**2d0*coupl(nGC_155)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5113) = -cima*dys_QED1
    coupl(nGC_7850) = coupl(nGC_42)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_8214) = coupl(nGC_3)*dZA/2d0
    coupl(nGC_5125) = coupl(nGC_5124)*dys_QED1
    coupl(nGC_5114) = -cima*dys_QED1_QCD2
    coupl(nGC_219) = cima/(2d0*cMW)
    coupl(nGC_8302) = coupl(nGC_78)*(dZsR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_8518) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_4920) = coupl(nGC_11)**2d0*coupl(nGC_25)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5462) = cima*dMW2
    coupl(nGC_8949) = coupl(nGC_5304) + coupl(nGC_57)*dZWpMinus/2d0 + coupl(   &
                      nGC_57)*dZmuMinusL/2d0 + coupl(nGC_57)*dZnu_tauL/2d0
    coupl(nGC_4883) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_131) + cMC*   &
                      coupl(nGC_132) + cMD*coupl(nGC_138) + cMS*coupl(nGC_150  &
                      ) + cMT*coupl(nGC_155) + cMU*coupl(nGC_160))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_4890) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5212) = coupl(nGC_5211)*dcw_
    coupl(nGC_5214) = coupl(nGC_5213)*dcw_
    coupl(nGC_5217) = coupl(nGC_5215)*dcw_ + coupl(nGC_5216)*dvev_QEDM1
    coupl(nGC_5219) = coupl(nGC_5218)*dcw_
    coupl(nGC_4877) = coupl(nGC_11)**2d0*coupl(nGC_131)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4880) = coupl(nGC_11)**2d0*coupl(nGC_152)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9015) = coupl(nGC_3)*dZWMinus/2d0
    coupl(nGC_9586) = coupl(nGC_155)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8834) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_5352) = coupl(nGC_5350)*dcw_ + coupl(nGC_5351)*dsw_
    coupl(nGC_4881) = coupl(nGC_11)**2d0*coupl(nGC_150)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5298) = coupl(nGC_5297)*dsw_
    coupl(nGC_5182) = coupl(nGC_5181)*dsw_
    coupl(nGC_9016) = -coupl(nGC_9015)
    coupl(nGC_4855) = coupl(nGC_11)**2d0*coupl(nGC_134)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4907) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4857) = coupl(nGC_11)**2d0*coupl(nGC_136)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9300) = coupl(nGC_95)*dZdR_QCD2
    coupl(nGC_4997) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 +  &
                      coupl(nGC_132)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_140&
                      )**2d0 + coupl(nGC_150)**2d0 + coupl(nGC_152)**2d0 +     &
                      coupl(nGC_155)**2d0 + coupl(nGC_160)**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_4990) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_4991) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_4992) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0 +  &
                      coupl(nGC_109)**2d0 + coupl(nGC_42)**2d0 + 2d0*coupl(    &
                      nGC_43)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4993) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 - &
                      coupl(nGC_109)**2d0 - coupl(nGC_42)**2d0 - 2d0*coupl(    &
                      nGC_43)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_8837) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_4902) = coupl(nGC_11)**2d0*coupl(nGC_65)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_10073) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_4901) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_10071) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_5264) = coupl(nGC_5263)*dsw_
    coupl(nGC_4900) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7781) = coupl(nGC_131)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_8477) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_8018) = coupl(nGC_147)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_4921) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
