!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_8127) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_5310) = coupl(nGC_5309)*dsw_
    coupl(nGC_5385) = coupl(nGC_5383)*dcw_ + coupl(nGC_5384)*dsw_
    coupl(nGC_4891) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_8129) = coupl(nGC_2)*dZA/2d0
    coupl(nGC_9432) = coupl(nGC_139)*dZdR_QCD2/2d0 + coupl(nGC_139)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_5106)
    coupl(nGC_10986) = coupl(nGC_5449) + coupl(nGC_MH)*dZH
    coupl(nGC_8632) = -coupl(nGC_7600)
    coupl(nGC_10983) = coupl(nGC_I)*dZH
    coupl(nGC_8516) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_8042) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_8041) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5180) = coupl(nGC_5179)*dsw_
    coupl(nGC_5313) = coupl(nGC_5311)*dcw_ + coupl(nGC_5312)*dsw_
    coupl(nGC_5185) = coupl(nGC_5183)*dsw_ + coupl(nGC_5184)*dvev_QEDM1
    coupl(nGC_5147) = coupl(nGC_5146)*dym_QED1
    coupl(nGC_8598) = coupl(nGC_51)*dZWpMinus/2d0 + coupl(nGC_51)*dZmuMinusL/  &
                      2d0 + coupl(nGC_51)*dZnu_eL/2d0 + coupl(nGC_5280)
    coupl(nGC_5189) = coupl(nGC_5188)*dsw_
    coupl(nGC_8599) = coupl(nGC_5282) + coupl(nGC_69)*dZWpMinus/2d0 + coupl(   &
                      nGC_69)*dZmuMinusR/2d0 + coupl(nGC_69)*dZnu_eR/2d0
    coupl(nGC_4851) = coupl(nGC_11)**2d0*coupl(nGC_129)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4862) = coupl(nGC_11)**2d0*coupl(nGC_647)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_14582) = -coupl(nGC_4991)
    coupl(nGC_4965) = coupl(nGC_11)*sq2*(-coupl(nGC_24)**2d0 - coupl(nGC_25)** &
                      2d0 - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(   &
                      nGC_67)**2d0 - coupl(nGC_94)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4967) = coupl(nGC_11)*sq2*(-coupl(nGC_103)**2d0 - coupl(nGC_33)**&
                      2d0 - coupl(nGC_34)**2d0 - coupl(nGC_83)**2d0 - coupl(   &
                      nGC_84)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4961) = coupl(nGC_11)*sq2*(coupl(nGC_17)**2d0 + coupl(nGC_18)**  &
                      2d0 + coupl(nGC_59)**2d0 + coupl(nGC_62)**2d0 + coupl(   &
                      nGC_65)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4853) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4963) = coupl(nGC_11)*sq2*(coupl(nGC_26)**2d0 + coupl(nGC_27)**  &
                      2d0 + coupl(nGC_77)**2d0 + coupl(nGC_80)**2d0 + coupl(   &
                      nGC_83)**2d0 + coupl(nGC_95)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4847) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4814) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5150) = -cima*dytau_QED1
    coupl(nGC_4968) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_9238) = coupl(nGC_11)*dZtR_QCD2
    coupl(nGC_7604) = coupl(nGC_7600) + coupl(nGC_7602)
    coupl(nGC_5427) = coupl(nGC_5426)*dsw_
    coupl(nGC_4808) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_4995) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_129)**2d0 +  &
                      coupl(nGC_134)**2d0 + coupl(nGC_135)**2d0 + coupl(nGC_136&
                      )**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_154)**2d0 +     &
                      coupl(nGC_162)**2d0 + coupl(nGC_163)**2d0)/(32d0*pi**2d0*&
                      Nc)
    coupl(nGC_4806) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4807) = cima*(-cMB*coupl(nGC_67)*coupl(nGC_85) - cMC*coupl(nGC_25&
                      )*coupl(nGC_34) - cMD*coupl(nGC_65)*coupl(nGC_83) - cMS* &
                      coupl(nGC_66)*coupl(nGC_84) - cMT*coupl(nGC_103)*coupl(  &
                      nGC_94) - cMU*coupl(nGC_24)*coupl(nGC_33))/(8d0*pi**2d0)
    coupl(nGC_5062) = coupl(nGC_5060)*dMW2 + coupl(nGC_5061)*dsw_
    coupl(nGC_9680) = coupl(nGC_5463) + coupl(nGC_MWp)*dZWpMinus
    coupl(nGC_5043) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_8240) = coupl(nGC_157)*dZnu_tauL/2d0 + coupl(nGC_157)*dZtauMinusR&
                      /2d0 + coupl(nGC_5150)
    coupl(nGC_5042) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_5013) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)*coupl(  &
                      nGC_111) + coupl(nGC_102)*coupl(nGC_111) + coupl(nGC_103 &
                      )*coupl(nGC_111) + coupl(nGC_110)*coupl(nGC_95) + coupl( &
                      nGC_110)*coupl(nGC_96) + coupl(nGC_110)*coupl(nGC_97) +  &
                      coupl(nGC_114)*coupl(nGC_86) + coupl(nGC_114)*coupl(     &
                      nGC_87) + coupl(nGC_114)*coupl(nGC_88) + coupl(nGC_115)* &
                      coupl(nGC_92) + coupl(nGC_115)*coupl(nGC_93) + coupl(    &
                      nGC_115)*coupl(nGC_94))/(96d0*pi**2d0)
    coupl(nGC_7543) = coupl(nGC_19)*(dZbL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_7540) = coupl(nGC_28)*(dZbR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_8223) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_8224) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_5441) = coupl(nGC_5439)*dcw_ + coupl(nGC_5440)*dsw_
    coupl(nGC_5447) = coupl(nGC_5445)*dcw_ + coupl(nGC_5446)*dsw_
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
