!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:23             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  implicit none
  contains
  subroutine fill_vertices_mdl5()
    use class_vertices
    use class_couplings
    allocate(vertices(343)%branchR2(0:0))
    call avR2(343, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4862, nGC_4863])

    allocate(vertices(241)%branchR2(0:0))
    call avR2(241, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1178)%branchR2(0:5))
    call avR2(1178, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1178, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(1178, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(1178, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1178, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(1178, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(1422)%branchR2(0:0))
    call avR2(1422, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(816)%branchR2(0:0))
    call avR2(816, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(983)%branchR2(0:5))
    call avR2(983, 0, 28, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(983, 1, 28, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(983, 2, 28, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(983, 3, 29, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(983, 4, 29, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(983, 5, 29, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(1450)%branchR2(0:0))
    call avR2(1450, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1408)%branchR2(0:0))
    call avR2(1408, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1571)%branchR2(0:1))
    call avR2(1571, 0, 45, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4998])

    call avR2(1571, 1, 46, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4999])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4869, nGC_4868])

    allocate(vertices(146)%branchR2(0:0))
    call avR2(146, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4851, nGC_4852])

    allocate(vertices(1572)%branchR2(0:5))
    call avR2(1572, 0, 61, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1572, 1, 62, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1572, 2, 63, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1572, 3, 64, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1572, 4, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1572, 5, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4886, nGC_4886])

    allocate(vertices(1573)%branchR2(0:1))
    call avR2(1573, 0, 43, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1573, 1, 44, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(436)%branchR2(0:0))
    call avR2(436, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(1320)%branchR2(0:0))
    call avR2(1320, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(258)%branchR2(0:0))
    call avR2(258, 0, 18, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(402)%branchR2(0:0))
    call avR2(402, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4857, nGC_4858])

    allocate(vertices(1574)%branchR2(0:1))
    call avR2(1574, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1574, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(1099)%branchR2(0:0))
    call avR2(1099, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1314)%branchR2(0:5))
    call avR2(1314, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1314, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(1314, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(1314, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1314, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(1314, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(326)%branchR2(0:0))
    call avR2(326, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(950)%branchR2(0:0))
    call avR2(950, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1575)%branchR2(0:1))
    call avR2(1575, 0, 51, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1575, 1, 52, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(1109)%branchR2(0:0))
    call avR2(1109, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1316)%branchR2(0:0))
    call avR2(1316, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4852, nGC_4851])

    allocate(vertices(1497)%branchR2(0:0))
    call avR2(1497, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4876, nGC_4876])

    allocate(vertices(1443)%branchR2(0:0))
    call avR2(1443, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(307)%branchR2(0:0))
    call avR2(307, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(1576)%branchR2(0:1))
    call avR2(1576, 0, 51, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1576, 1, 52, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(986)%branchR2(0:0))
    call avR2(986, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1172)%branchR2(0:5))
    call avR2(1172, 0, 22, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1172, 1, 22, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(1172, 2, 22, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(1172, 3, 23, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1172, 4, 23, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(1172, 5, 23, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(20)%branchR2(0:0))
    call avR2(20, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(368)%branchR2(0:0))
    call avR2(368, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1197)%branchR2(0:0))
    call avR2(1197, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(392)%branchR2(0:0))
    call avR2(392, 0, 21, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1458)%branchR2(0:0))
    call avR2(1458, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(1429)%branchR2(0:5))
    call avR2(1429, 0, 11, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1429, 1, 11, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(1429, 2, 11, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(1429, 3, 12, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1429, 4, 12, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(1429, 5, 12, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(1577)%branchR2(0:1))
    call avR2(1577, 0, 45, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1577, 1, 46, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 21, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(1578)%branchR2(0:1))
    call avR2(1578, 0, 45, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1578, 1, 46, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1579)%branchR2(0:1))
    call avR2(1579, 0, 45, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1579, 1, 46, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1432)%branchR2(0:5))
    call avR2(1432, 0, 26, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1432, 1, 26, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(1432, 2, 26, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(1432, 3, 27, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1432, 4, 27, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(1432, 5, 27, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(1298)%branchR2(0:0))
    call avR2(1298, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(310)%branchR2(0:0))
    call avR2(310, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(439)%branchR2(0:0))
    call avR2(439, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(1580)%branchR2(0:1))
    call avR2(1580, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1580, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(373)%branchR2(0:5))
    call avR2(373, 0, 30, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(373, 1, 30, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(373, 2, 30, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(373, 3, 31, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(373, 4, 31, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(373, 5, 31, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(1581)%branchR2(0:1))
    call avR2(1581, 0, 51, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1581, 1, 52, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1342)%branchR2(0:0))
    call avR2(1342, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(460)%branchR2(0:0))
    call avR2(460, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(1582)%branchR2(0:1))
    call avR2(1582, 0, 53, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1582, 1, 54, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(549)%branchR2(0:0))
    call avR2(549, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(1317)%branchR2(0:0))
    call avR2(1317, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(885)%branchR2(0:0))
    call avR2(885, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(939)%branchR2(0:0))
    call avR2(939, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(260)%branchR2(0:0))
    call avR2(260, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(616)%branchR2(0:0))
    call avR2(616, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(375)%branchR2(0:0))
    call avR2(375, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4852, nGC_4851])

    allocate(vertices(1583)%branchR2(0:1))
    call avR2(1583, 0, 43, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1583, 1, 44, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(1434)%branchR2(0:5))
    call avR2(1434, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1434, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(1434, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(1434, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1434, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(1434, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(629)%branchR2(0:0))
    call avR2(629, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4869, nGC_4868])

    allocate(vertices(1584)%branchR2(0:1))
    call avR2(1584, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1584, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1053)%branchR2(0:0))
    call avR2(1053, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(1395)%branchR2(0:5))
    call avR2(1395, 0, 30, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1395, 1, 30, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(1395, 2, 30, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(1395, 3, 31, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1395, 4, 31, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(1395, 5, 31, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(223)%branchR2(0:0))
    call avR2(223, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1585)%branchR2(0:1))
    call avR2(1585, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1585, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(218)%branchR2(0:0))
    call avR2(218, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(545)%branchR2(0:0))
    call avR2(545, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1293)%branchR2(0:0))
    call avR2(1293, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(208)%branchR2(0:0))
    call avR2(208, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(1331)%branchR2(0:0))
    call avR2(1331, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(1377)%branchR2(0:0))
    call avR2(1377, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(1223)%branchR2(0:0))
    call avR2(1223, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1586)%branchR2(0:1))
    call avR2(1586, 0, 43, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1586, 1, 44, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1296)%branchR2(0:0))
    call avR2(1296, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1587)%branchR2(0:5))
    call avR2(1587, 0, 61, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1587, 1, 62, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,     &
    nGC_5019])

    call avR2(1587, 2, 63, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1587, 3, 64, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1587, 4, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1587, 5, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    allocate(vertices(1394)%branchR2(0:0))
    call avR2(1394, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(1476)%branchR2(0:0))
    call avR2(1476, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(1526)%branchR2(0:2))
    call avR2(1526, 0, 32, 1, 0, FaF1, 0, [0, 2, 0], [nGC_4811, nGC_4809,      &
    nGC_4805, nGC_4805])

    call avR2(1526, 1, 32, 1, 0, FaF1, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4806, nGC_4806])

    call avR2(1526, 2, 32, 1, 0, FaF1, 0, [0, 2, 2], [nGC_4812, nGC_4810,      &
    nGC_4807, nGC_4807])

    allocate(vertices(209)%branchR2(0:0))
    call avR2(209, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(354)%branchR2(0:0))
    call avR2(354, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(596)%branchR2(0:0))
    call avR2(596, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1112)%branchR2(0:0))
    call avR2(1112, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(1283)%branchR2(0:0))
    call avR2(1283, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(34)%branchR2(0:0))
    call avR2(34, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 20, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(1198)%branchR2(0:0))
    call avR2(1198, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(426)%branchR2(0:0))
    call avR2(426, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(358)%branchR2(0:0))
    call avR2(358, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

    allocate(vertices(1247)%branchR2(0:0))
    call avR2(1247, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(717)%branchR2(0:0))
    call avR2(717, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

    allocate(vertices(509)%branchR2(0:5))
    call avR2(509, 0, 26, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(509, 1, 26, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(509, 2, 26, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(509, 3, 27, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(509, 4, 27, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(509, 5, 27, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(1064)%branchR2(0:0))
    call avR2(1064, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(1588)%branchR2(0:1))
    call avR2(1588, 0, 47, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1588, 1, 48, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(859)%branchR2(0:0))
    call avR2(859, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4876, nGC_4876])

    allocate(vertices(1589)%branchR2(0:1))
    call avR2(1589, 0, 47, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1589, 1, 48, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(1407)%branchR2(0:5))
    call avR2(1407, 0, 26, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1407, 1, 26, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

    call avR2(1407, 2, 26, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

    call avR2(1407, 3, 27, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1407, 4, 27, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

    call avR2(1407, 5, 27, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

    allocate(vertices(1590)%branchR2(0:1))
    call avR2(1590, 0, 45, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1590, 1, 46, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1428)%branchR2(0:0))
    call avR2(1428, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1591)%branchR2(0:1))
    call avR2(1591, 0, 45, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1591, 1, 46, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(1493)%branchR2(0:0))
    call avR2(1493, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(188)%branchR2(0:0))
    call avR2(188, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1592)%branchR2(0:1))
    call avR2(1592, 0, 45, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1592, 1, 46, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1199)%branchR2(0:0))
    call avR2(1199, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(1593)%branchR2(0:1))
    call avR2(1593, 0, 43, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1593, 1, 44, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1473)%branchR2(0:0))
    call avR2(1473, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(344)%branchR2(0:0))
    call avR2(344, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(437)%branchR2(0:0))
    call avR2(437, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(1500)%branchR2(0:2))
    call avR2(1500, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4811, nGC_4809,      &
    nGC_4805, nGC_4805])

    call avR2(1500, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4806, nGC_4806])

    call avR2(1500, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4812, nGC_4810,      &
    nGC_4807, nGC_4807])

    allocate(vertices(1454)%branchR2(0:5))
    call avR2(1454, 0, 28, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1454, 1, 28, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(1454, 2, 28, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(1454, 3, 29, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1454, 4, 29, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(1454, 5, 29, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(624)%branchR2(0:0))
    call avR2(624, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(94)%branchR2(0:0))
    call avR2(94, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4884, nGC_4884])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(1321)%branchR2(0:0))
    call avR2(1321, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4857, nGC_4858])

    allocate(vertices(345)%branchR2(0:0))
    call avR2(345, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(895)%branchR2(0:0))
    call avR2(895, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(89)%branchR2(0:0))
    call avR2(89, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(1594)%branchR2(0:1))
    call avR2(1594, 0, 47, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1594, 1, 48, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1309)%branchR2(0:0))
    call avR2(1309, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(423)%branchR2(0:0))
    call avR2(423, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(1595)%branchR2(0:1))
    call avR2(1595, 0, 45, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1595, 1, 46, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1234)%branchR2(0:0))
    call avR2(1234, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1149)%branchR2(0:0))
    call avR2(1149, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(1176)%branchR2(0:0))
    call avR2(1176, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(1596)%branchR2(0:5))
    call avR2(1596, 0, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1596, 1, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1596, 2, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1596, 3, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1596, 4, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1596, 5, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

    allocate(vertices(868)%branchR2(0:0))
    call avR2(868, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(1285)%branchR2(0:5))
    call avR2(1285, 0, 28, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1285, 1, 28, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4962, nGC_4960])

    call avR2(1285, 2, 28, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4963, nGC_4961])

    call avR2(1285, 3, 29, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1285, 4, 29, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4958, nGC_4956])

    call avR2(1285, 5, 29, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4959, nGC_4957])

    allocate(vertices(1535)%branchR2(0:2))
    call avR2(1535, 0, 32, 1, 0, FaF1, 0, [0, 2, 0], [nGC_4811, nGC_4816,      &
    nGC_4813, nGC_4813])

    call avR2(1535, 1, 32, 1, 0, FaF1, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4814, nGC_4814])

    call avR2(1535, 2, 32, 1, 0, FaF1, 0, [0, 2, 2], [nGC_4818, nGC_4817,      &
    nGC_4815, nGC_4815])

    allocate(vertices(1369)%branchR2(0:0))
    call avR2(1369, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1597)%branchR2(0:1))
    call avR2(1597, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1597, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1598)%branchR2(0:1))
    call avR2(1598, 0, 49, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1598, 1, 50, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(903)%branchR2(0:0))
    call avR2(903, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4857, nGC_4858])

    allocate(vertices(397)%branchR2(0:0))
    call avR2(397, 0, 19, 1, 0, FSFa2, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(1275)%branchR2(0:0))
    call avR2(1275, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4857, nGC_4858])

    allocate(vertices(1019)%branchR2(0:0))
    call avR2(1019, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(1599)%branchR2(0:1))
    call avR2(1599, 0, 49, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1599, 1, 50, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1074)%branchR2(0:0))
    call avR2(1074, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(1600)%branchR2(0:1))
    call avR2(1600, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1600, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(16)%branchR2(0:0))
    call avR2(16, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1361)%branchR2(0:0))
    call avR2(1361, 0, 19, 1, 0, FSFa2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(199)%branchR2(0:0))
    call avR2(199, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(371)%branchR2(0:0))
    call avR2(371, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(1133)%branchR2(0:0))
    call avR2(1133, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1350)%branchR2(0:0))
    call avR2(1350, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(882)%branchR2(0:0))
    call avR2(882, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4858, nGC_4857])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 21, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4851, nGC_4852])

    allocate(vertices(1601)%branchR2(0:1))
    call avR2(1601, 0, 49, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1601, 1, 50, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(36)%branchR2(0:0))
    call avR2(36, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(831)%branchR2(0:0))
    call avR2(831, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1433)%branchR2(0:0))
    call avR2(1433, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(843)%branchR2(0:0))
    call avR2(843, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1456)%branchR2(0:0))
    call avR2(1456, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(387)%branchR2(0:0))
    call avR2(387, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1051)%branchR2(0:0))
    call avR2(1051, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1200)%branchR2(0:0))
    call avR2(1200, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(394)%branchR2(0:0))
    call avR2(394, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4852, nGC_4851])

    allocate(vertices(1602)%branchR2(0:1))
    call avR2(1602, 0, 49, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1602, 1, 50, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(998)%branchR2(0:0))
    call avR2(998, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(1603)%branchR2(0:1))
    call avR2(1603, 0, 51, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1603, 1, 52, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(1154)%branchR2(0:0))
    call avR2(1154, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4851, nGC_4852])

    allocate(vertices(1604)%branchR2(0:5))
    call avR2(1604, 0, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1604, 1, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,     &
    nGC_5019])

    call avR2(1604, 2, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1604, 3, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1604, 4, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1604, 5, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    allocate(vertices(1135)%branchR2(0:0))
    call avR2(1135, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

    allocate(vertices(1605)%branchR2(0:1))
    call avR2(1605, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1605, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(665)%branchR2(0:0))
    call avR2(665, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1606)%branchR2(0:5))
    call avR2(1606, 0, 55, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1606, 1, 56, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1606, 2, 57, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1606, 3, 58, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1606, 4, 59, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1606, 5, 60, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    allocate(vertices(1446)%branchR2(0:0))
    call avR2(1446, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(709)%branchR2(0:0))
    call avR2(709, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(1122)%branchR2(0:0))
    call avR2(1122, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(449)%branchR2(0:5))
    call avR2(449, 0, 30, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(449, 1, 30, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(449, 2, 30, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(449, 3, 31, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(449, 4, 31, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(449, 5, 31, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(261)%branchR2(0:0))
    call avR2(261, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1607)%branchR2(0:1))
    call avR2(1607, 0, 43, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1607, 1, 44, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1125)%branchR2(0:0))
    call avR2(1125, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1608)%branchR2(0:1))
    call avR2(1608, 0, 49, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1608, 1, 50, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(1609)%branchR2(0:1))
    call avR2(1609, 0, 49, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1609, 1, 50, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(1610)%branchR2(0:1))
    call avR2(1610, 0, 47, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1610, 1, 48, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(1157)%branchR2(0:5))
    call avR2(1157, 0, 28, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1157, 1, 28, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(1157, 2, 28, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(1157, 3, 29, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1157, 4, 29, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(1157, 5, 29, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(1060)%branchR2(0:0))
    call avR2(1060, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1611)%branchR2(0:1))
    call avR2(1611, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1611, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(322)%branchR2(0:0))
    call avR2(322, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1036)%branchR2(0:0))
    call avR2(1036, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(64)%branchR2(0:0))
    call avR2(64, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1341)%branchR2(0:0))
    call avR2(1341, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1612)%branchR2(0:1))
    call avR2(1612, 0, 43, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1612, 1, 44, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1613)%branchR2(0:1))
    call avR2(1613, 0, 45, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1613, 1, 46, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(1614)%branchR2(0:1))
    call avR2(1614, 0, 45, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1614, 1, 46, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(291)%branchR2(0:0))
    call avR2(291, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(575)%branchR2(0:0))
    call avR2(575, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(641)%branchR2(0:0))
    call avR2(641, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(128)%branchR2(0:0))
    call avR2(128, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4870, nGC_4871])

    allocate(vertices(103)%branchR2(0:0))
    call avR2(103, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(726)%branchR2(0:0))
    call avR2(726, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(634)%branchR2(0:0))
    call avR2(634, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(1615)%branchR2(0:5))
    call avR2(1615, 0, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1615, 1, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,     &
    nGC_5019])

    call avR2(1615, 2, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1615, 3, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    call avR2(1615, 4, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,     &
    nGC_5017])

    call avR2(1615, 5, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,     &
    nGC_5018])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1616)%branchR2(0:1))
    call avR2(1616, 0, 45, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1616, 1, 46, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(351)%branchR2(0:0))
    call avR2(351, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4857, nGC_4858])

    allocate(vertices(876)%branchR2(0:0))
    call avR2(876, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1617)%branchR2(0:1))
    call avR2(1617, 0, 45, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1617, 1, 46, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(573)%branchR2(0:0))
    call avR2(573, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(1515)%branchR2(0:2))
    call avR2(1515, 0, 32, 1, 0, FaF1, 0, [0, 2, 0], [nGC_4824, nGC_4828,      &
    nGC_4830, nGC_4830])

    call avR2(1515, 1, 32, 1, 0, FaF1, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4826, nGC_4826])

    call avR2(1515, 2, 32, 1, 0, FaF1, 0, [0, 2, 2], [nGC_4831, nGC_4829,      &
    nGC_4827, nGC_4827])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(120)%branchR2(0:0))
    call avR2(120, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(319)%branchR2(0:0))
    call avR2(319, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1618)%branchR2(0:1))
    call avR2(1618, 0, 45, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,     &
    nGC_5025])

    call avR2(1618, 1, 46, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,     &
    nGC_5026])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1137)%branchR2(0:0))
    call avR2(1137, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(813)%branchR2(0:0))
    call avR2(813, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(414)%branchR2(0:5))
    call avR2(414, 0, 26, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(414, 1, 26, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(414, 2, 26, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(414, 3, 27, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(414, 4, 27, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(414, 5, 27, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(1619)%branchR2(0:1))
    call avR2(1619, 0, 45, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1619, 1, 46, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(577)%branchR2(0:0))
    call avR2(577, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1351)%branchR2(0:0))
    call avR2(1351, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(988)%branchR2(0:0))
    call avR2(988, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(1620)%branchR2(0:1))
    call avR2(1620, 0, 47, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1620, 1, 48, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(495)%branchR2(0:0))
    call avR2(495, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(1621)%branchR2(0:1))
    call avR2(1621, 0, 49, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1621, 1, 50, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1184)%branchR2(0:0))
    call avR2(1184, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(1622)%branchR2(0:1))
    call avR2(1622, 0, 45, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1622, 1, 46, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1623)%branchR2(0:1))
    call avR2(1623, 0, 47, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1623, 1, 48, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(403)%branchR2(0:0))
    call avR2(403, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(386)%branchR2(0:0))
    call avR2(386, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(312)%branchR2(0:0))
    call avR2(312, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(1624)%branchR2(0:1))
    call avR2(1624, 0, 51, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1624, 1, 52, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(239)%branchR2(0:0))
    call avR2(239, 0, 10, 1, 0, FFaS2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(356)%branchR2(0:0))
    call avR2(356, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 17, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(1441)%branchR2(0:0))
    call avR2(1441, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(315)%branchR2(0:0))
    call avR2(315, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1625)%branchR2(0:1))
    call avR2(1625, 0, 43, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1625, 1, 44, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(1507)%branchR2(0:1))
    call avR2(1507, 0, 15, 1, 0, VV2, 0, [2, 0, 0], [nGC_4845, nGC_4844,       &
    nGC_4846])

    call avR2(1507, 1, 16, 1, 0, VV2, 0, [2, 0, 0], [nGC_4848, nGC_4847,       &
    nGC_4849])

    allocate(vertices(1626)%branchR2(0:1))
    call avR2(1626, 0, 43, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4998])

    call avR2(1626, 1, 44, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4999])

    allocate(vertices(927)%branchR2(0:0))
    call avR2(927, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4876, nGC_4876])

    allocate(vertices(1087)%branchR2(0:0))
    call avR2(1087, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(409)%branchR2(0:0))
    call avR2(409, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

    allocate(vertices(1303)%branchR2(0:0))
    call avR2(1303, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(1018)%branchR2(0:0))
    call avR2(1018, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4886, nGC_4886])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4851, nGC_4852])

    allocate(vertices(999)%branchR2(0:0))
    call avR2(999, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1110)%branchR2(0:0))
    call avR2(1110, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(744)%branchR2(0:0))
    call avR2(744, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1627)%branchR2(0:1))
    call avR2(1627, 0, 51, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1627, 1, 52, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(580)%branchR2(0:5))
    call avR2(580, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(580, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(580, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(580, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(580, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(580, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(1628)%branchR2(0:1))
    call avR2(1628, 0, 49, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1628, 1, 50, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1128)%branchR2(0:0))
    call avR2(1128, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(1453)%branchR2(0:0))
    call avR2(1453, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(742)%branchR2(0:0))
    call avR2(742, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(1131)%branchR2(0:0))
    call avR2(1131, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(1629)%branchR2(0:1))
    call avR2(1629, 0, 43, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5011, nGC_5011,     &
    nGC_5011])

    call avR2(1629, 1, 44, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    allocate(vertices(1396)%branchR2(0:0))
    call avR2(1396, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4886, nGC_4886])

    allocate(vertices(672)%branchR2(0:5))
    call avR2(672, 0, 30, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(672, 1, 30, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

    call avR2(672, 2, 30, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

    call avR2(672, 3, 31, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(672, 4, 31, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

    call avR2(672, 5, 31, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

    allocate(vertices(1355)%branchR2(0:0))
    call avR2(1355, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(1352)%branchR2(0:0))
    call avR2(1352, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(603)%branchR2(0:0))
    call avR2(603, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(229)%branchR2(0:0))
    call avR2(229, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4851, nGC_4852])

    allocate(vertices(1505)%branchR2(0:2))
    call avR2(1505, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4824, nGC_4828,      &
    nGC_4830, nGC_4830])

    call avR2(1505, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4826, nGC_4826])

    call avR2(1505, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4831, nGC_4829,      &
    nGC_4827, nGC_4827])

    allocate(vertices(1020)%branchR2(0:0))
    call avR2(1020, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4852, nGC_4851])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(316)%branchR2(0:0))
    call avR2(316, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(1630)%branchR2(0:1))
    call avR2(1630, 0, 51, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1630, 1, 52, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(1631)%branchR2(0:1))
    call avR2(1631, 0, 37, 1, 0, VSV0, 0, [2, 1, 0], [nGC_4882])

    call avR2(1631, 1, 38, 1, 0, VSV0, 0, [2, 1, 0], [nGC_4883])

    allocate(vertices(1632)%branchR2(0:5))
    call avR2(1632, 0, 55, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5021])

    call avR2(1632, 1, 56, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1632, 2, 57, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1632, 3, 58, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5023, nGC_5023,     &
    nGC_5023])

    call avR2(1632, 4, 59, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1632, 5, 60, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5024])

    allocate(vertices(247)%branchR2(0:0))
    call avR2(247, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4877, nGC_4877])

    allocate(vertices(576)%branchR2(0:0))
    call avR2(576, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1633)%branchR2(0:1))
    call avR2(1633, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1633, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(1250)%branchR2(0:0))
    call avR2(1250, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1015)%branchR2(0:0))
    call avR2(1015, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(1211)%branchR2(0:0))
    call avR2(1211, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(1207)%branchR2(0:0))
    call avR2(1207, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1070)%branchR2(0:0))
    call avR2(1070, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(438)%branchR2(0:0))
    call avR2(438, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(842)%branchR2(0:0))
    call avR2(842, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(760)%branchR2(0:0))
    call avR2(760, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(1421)%branchR2(0:0))
    call avR2(1421, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1634)%branchR2(0:1))
    call avR2(1634, 0, 43, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1634, 1, 44, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(363)%branchR2(0:0))
    call avR2(363, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(1270)%branchR2(0:0))
    call avR2(1270, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(329)%branchR2(0:0))
    call avR2(329, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(527)%branchR2(0:0))
    call avR2(527, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4884, nGC_4884])

    allocate(vertices(704)%branchR2(0:0))
    call avR2(704, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(865)%branchR2(0:0))
    call avR2(865, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(51)%branchR2(0:0))
    call avR2(51, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(1635)%branchR2(0:1))
    call avR2(1635, 0, 47, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4998])

    call avR2(1635, 1, 48, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4999])

    allocate(vertices(1536)%branchR2(0:2))
    call avR2(1536, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4811, nGC_4816,      &
    nGC_4813, nGC_4813])

    call avR2(1536, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4814, nGC_4814])

    call avR2(1536, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4818, nGC_4817,      &
    nGC_4815, nGC_4815])

    allocate(vertices(268)%branchR2(0:0))
    call avR2(268, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1487)%branchR2(0:0))
    call avR2(1487, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4862, nGC_4863])

    allocate(vertices(1636)%branchR2(0:5))
    call avR2(1636, 0, 67, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1636, 1, 68, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5023, nGC_5023,     &
    nGC_5023])

    call avR2(1636, 2, 69, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5024])

    call avR2(1636, 3, 70, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    call avR2(1636, 4, 71, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5020, nGC_5020,     &
    nGC_5020, nGC_5021])

    call avR2(1636, 5, 72, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5022, nGC_5022,     &
    nGC_5022])

    allocate(vertices(481)%branchR2(0:0))
    call avR2(481, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4869, nGC_4868])

    allocate(vertices(1025)%branchR2(0:0))
    call avR2(1025, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4886, nGC_4886])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(13)%branchR2(0:0))
    call avR2(13, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1444)%branchR2(0:0))
    call avR2(1444, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4878, nGC_4878])

    allocate(vertices(1637)%branchR2(0:1))
    call avR2(1637, 0, 47, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1637, 1, 48, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1107)%branchR2(0:0))
    call avR2(1107, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1638)%branchR2(0:1))
    call avR2(1638, 0, 51, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1638, 1, 52, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(1639)%branchR2(0:1))
    call avR2(1639, 0, 47, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5011, nGC_5011,     &
    nGC_5011])

    call avR2(1639, 1, 48, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    allocate(vertices(1640)%branchR2(0:1))
    call avR2(1640, 0, 43, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1640, 1, 44, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(1641)%branchR2(0:1))
    call avR2(1641, 0, 33, 1, 0, SVV0, 0, [2, 1, 0], [nGC_4882])

    call avR2(1641, 1, 34, 1, 0, SVV0, 0, [2, 1, 0], [nGC_4883])

    allocate(vertices(491)%branchR2(0:5))
    call avR2(491, 0, 11, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(491, 1, 11, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(491, 2, 11, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(491, 3, 12, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(491, 4, 12, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(491, 5, 12, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(1304)%branchR2(0:0))
    call avR2(1304, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(1461)%branchR2(0:0))
    call avR2(1461, 0, 18, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(1642)%branchR2(0:1))
    call avR2(1642, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1642, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1328)%branchR2(0:0))
    call avR2(1328, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(1082)%branchR2(0:0))
    call avR2(1082, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(456)%branchR2(0:0))
    call avR2(456, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1643)%branchR2(0:5))
    call avR2(1643, 0, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1643, 1, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5010, nGC_5010,     &
    nGC_5010])

    call avR2(1643, 2, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1643, 3, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    call avR2(1643, 4, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5008, nGC_5008,     &
    nGC_5008])

    call avR2(1643, 5, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5009, nGC_5009,     &
    nGC_5009])

    allocate(vertices(661)%branchR2(0:0))
    call avR2(661, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1115)%branchR2(0:0))
    call avR2(1115, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1471)%branchR2(0:0))
    call avR2(1471, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1644)%branchR2(0:1))
    call avR2(1644, 0, 49, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1644, 1, 50, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(714)%branchR2(0:0))
    call avR2(714, 0, 21, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1645)%branchR2(0:1))
    call avR2(1645, 0, 51, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4998])

    call avR2(1645, 1, 52, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4999])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 21, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(353)%branchR2(0:0))
    call avR2(353, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(1646)%branchR2(0:1))
    call avR2(1646, 0, 47, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1646, 1, 48, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(1647)%branchR2(0:1))
    call avR2(1647, 0, 47, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1647, 1, 48, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(1241)%branchR2(0:0))
    call avR2(1241, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1648)%branchR2(0:1))
    call avR2(1648, 0, 47, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1648, 1, 48, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(1649)%branchR2(0:1))
    call avR2(1649, 0, 51, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1649, 1, 52, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(783)%branchR2(0:0))
    call avR2(783, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(159)%branchR2(0:0))
    call avR2(159, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(1650)%branchR2(0:1))
    call avR2(1650, 0, 37, 1, 0, VVV2, 0, [2, 1, 1], [nGC_4934])

    call avR2(1650, 1, 38, 1, 0, VVV2, 0, [2, 1, 1], [nGC_4935])

    allocate(vertices(514)%branchR2(0:0))
    call avR2(514, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(203)%branchR2(0:0))
    call avR2(203, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(1651)%branchR2(0:1))
    call avR2(1651, 0, 51, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1651, 1, 52, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(1038)%branchR2(0:0))
    call avR2(1038, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(161)%branchR2(0:0))
    call avR2(161, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(909)%branchR2(0:0))
    call avR2(909, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(879)%branchR2(0:0))
    call avR2(879, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1344)%branchR2(0:0))
    call avR2(1344, 0, 21, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1652)%branchR2(0:1))
    call avR2(1652, 0, 49, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1652, 1, 50, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(870)%branchR2(0:0))
    call avR2(870, 0, 10, 1, 0, FFaS1, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(55)%branchR2(0:0))
    call avR2(55, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(314)%branchR2(0:0))
    call avR2(314, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1653)%branchR2(0:1))
    call avR2(1653, 0, 47, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1653, 1, 48, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(878)%branchR2(0:0))
    call avR2(878, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(907)%branchR2(0:0))
    call avR2(907, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1028)%branchR2(0:0))
    call avR2(1028, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(1206)%branchR2(0:0))
    call avR2(1206, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1532)%branchR2(0:2))
    call avR2(1532, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_4811, nGC_4835,      &
    nGC_4832, nGC_4832])

    call avR2(1532, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4833, nGC_4833])

    call avR2(1532, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_4837, nGC_4836,      &
    nGC_4834, nGC_4834])

    allocate(vertices(648)%branchR2(0:0))
    call avR2(648, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(138)%branchR2(0:5))
    call avR2(138, 0, 22, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(138, 1, 22, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(138, 2, 22, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(138, 3, 23, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(138, 4, 23, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(138, 5, 23, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4852, nGC_4851])

    allocate(vertices(1654)%branchR2(0:1))
    call avR2(1654, 0, 45, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5011, nGC_5011,     &
    nGC_5011])

    call avR2(1654, 1, 46, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5012, nGC_5012,     &
    nGC_5012])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(272)%branchR2(0:0))
    call avR2(272, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(487)%branchR2(0:0))
    call avR2(487, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4876, nGC_4876])

    allocate(vertices(1655)%branchR2(0:1))
    call avR2(1655, 0, 51, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1655, 1, 52, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1367)%branchR2(0:5))
    call avR2(1367, 0, 22, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1367, 1, 22, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(1367, 2, 22, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(1367, 3, 23, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1367, 4, 23, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(1367, 5, 23, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(1380)%branchR2(0:0))
    call avR2(1380, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(1013)%branchR2(0:0))
    call avR2(1013, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(1485)%branchR2(0:0))
    call avR2(1485, 0, 18, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(220)%branchR2(0:0))
    call avR2(220, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(357)%branchR2(0:0))
    call avR2(357, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(176)%branchR2(0:5))
    call avR2(176, 0, 28, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(176, 1, 28, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(176, 2, 28, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(176, 3, 29, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(176, 4, 29, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(176, 5, 29, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(190)%branchR2(0:0))
    call avR2(190, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(1470)%branchR2(0:5))
    call avR2(1470, 0, 26, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1470, 1, 26, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(1470, 2, 26, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(1470, 3, 27, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1470, 4, 27, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(1470, 5, 27, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(849)%branchR2(0:5))
    call avR2(849, 0, 22, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(849, 1, 22, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(849, 2, 22, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(849, 3, 23, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(849, 4, 23, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(849, 5, 23, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(1286)%branchR2(0:0))
    call avR2(1286, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(951)%branchR2(0:0))
    call avR2(951, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(1006)%branchR2(0:5))
    call avR2(1006, 0, 30, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1006, 1, 30, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

    call avR2(1006, 2, 30, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

    call avR2(1006, 3, 31, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1006, 4, 31, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

    call avR2(1006, 5, 31, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

    allocate(vertices(578)%branchR2(0:0))
    call avR2(578, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(515)%branchR2(0:0))
    call avR2(515, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(1358)%branchR2(0:0))
    call avR2(1358, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(147)%branchR2(0:0))
    call avR2(147, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(1656)%branchR2(0:1))
    call avR2(1656, 0, 47, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5013, nGC_5013,     &
    nGC_5013])

    call avR2(1656, 1, 48, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5014, nGC_5014,     &
    nGC_5014])

    allocate(vertices(708)%branchR2(0:0))
    call avR2(708, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(22)%branchR2(0:0))
    call avR2(22, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(1657)%branchR2(0:1))
    call avR2(1657, 0, 53, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4998])

    call avR2(1657, 1, 54, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4999])

    allocate(vertices(1119)%branchR2(0:0))
    call avR2(1119, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(1658)%branchR2(0:1))
    call avR2(1658, 0, 33, 1, 0, VVV3, 0, [2, 1, 1], [nGC_4934])

    call avR2(1658, 1, 34, 1, 0, VVV3, 0, [2, 1, 1], [nGC_4935])

    allocate(vertices(1659)%branchR2(0:1))
    call avR2(1659, 0, 45, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1659, 1, 46, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(756)%branchR2(0:0))
    call avR2(756, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1519)%branchR2(0:2))
    call avR2(1519, 0, 32, 1, 0, FaF1, 0, [0, 2, 0], [nGC_4824, nGC_4822,      &
    nGC_4819, nGC_4819])

    call avR2(1519, 1, 32, 1, 0, FaF1, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4820, nGC_4820])

    call avR2(1519, 2, 32, 1, 0, FaF1, 0, [0, 2, 2], [nGC_4825, nGC_4823,      &
    nGC_4821, nGC_4821])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(61)%branchR2(0:0))
    call avR2(61, 0, 21, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(262)%branchR2(0:0))
    call avR2(262, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4887])

    allocate(vertices(1335)%branchR2(0:0))
    call avR2(1335, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(899)%branchR2(0:0))
    call avR2(899, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(1282)%branchR2(0:0))
    call avR2(1282, 0, 21, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4872, nGC_4873])

    allocate(vertices(133)%branchR2(0:0))
    call avR2(133, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(989)%branchR2(0:0))
    call avR2(989, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(39)%branchR2(0:0))
    call avR2(39, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(435)%branchR2(0:0))
    call avR2(435, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1660)%branchR2(0:1))
    call avR2(1660, 0, 51, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1660, 1, 52, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1323)%branchR2(0:0))
    call avR2(1323, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4884, nGC_4884])

    allocate(vertices(1180)%branchR2(0:0))
    call avR2(1180, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(1661)%branchR2(0:1))
    call avR2(1661, 0, 49, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1661, 1, 50, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(938)%branchR2(0:0))
    call avR2(938, 0, 10, 1, 0, FFaS2, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(1662)%branchR2(0:1))
    call avR2(1662, 0, 51, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1662, 1, 52, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(1663)%branchR2(0:1))
    call avR2(1663, 0, 51, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1663, 1, 52, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(1417)%branchR2(0:5))
    call avR2(1417, 0, 11, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(1417, 1, 11, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4946, nGC_4943])

    call avR2(1417, 2, 11, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4947, nGC_4944])

    call avR2(1417, 3, 12, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(1417, 4, 12, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4941, nGC_4938])

    call avR2(1417, 5, 12, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4942, nGC_4939])

    allocate(vertices(1664)%branchR2(0:1))
    call avR2(1664, 0, 49, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,     &
    nGC_5006])

    call avR2(1664, 1, 50, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,     &
    nGC_5007])

    allocate(vertices(412)%branchR2(0:0))
    call avR2(412, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(734)%branchR2(0:0))
    call avR2(734, 0, 21, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1218)%branchR2(0:0))
    call avR2(1218, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1012)%branchR2(0:0))
    call avR2(1012, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1379)%branchR2(0:0))
    call avR2(1379, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(1665)%branchR2(0:1))
    call avR2(1665, 0, 49, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1665, 1, 50, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1364)%branchR2(0:0))
    call avR2(1364, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(1666)%branchR2(0:1))
    call avR2(1666, 0, 45, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1666, 1, 46, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

    allocate(vertices(1155)%branchR2(0:0))
    call avR2(1155, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

    allocate(vertices(1509)%branchR2(0:2))
    call avR2(1509, 0, 32, 1, 0, FaF1, 0, [0, 2, 0], [nGC_4824, nGC_4841,      &
    nGC_4838, nGC_4838])

    call avR2(1509, 1, 32, 1, 0, FaF1, 0, [2, 0, 0], [nGC_4808, nGC_4808,      &
    nGC_4839, nGC_4839])

    call avR2(1509, 2, 32, 1, 0, FaF1, 0, [0, 2, 2], [nGC_4843, nGC_4842,      &
    nGC_4840, nGC_4840])

    allocate(vertices(109)%branchR2(0:0))
    call avR2(109, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

    allocate(vertices(1030)%branchR2(0:0))
    call avR2(1030, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(675)%branchR2(0:0))
    call avR2(675, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(442)%branchR2(0:0))
    call avR2(442, 0, 20, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(77)%branchR2(0:0))
    call avR2(77, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1667)%branchR2(0:1))
    call avR2(1667, 0, 49, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,     &
    nGC_5004])

    call avR2(1667, 1, 50, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,     &
    nGC_5005])

    allocate(vertices(804)%branchR2(0:0))
    call avR2(804, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

    allocate(vertices(76)%branchR2(0:0))
    call avR2(76, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

    allocate(vertices(1464)%branchR2(0:0))
    call avR2(1464, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4886, nGC_4886])

    allocate(vertices(443)%branchR2(0:0))
    call avR2(443, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4884, nGC_4884])

    allocate(vertices(1271)%branchR2(0:0))
    call avR2(1271, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

    allocate(vertices(1011)%branchR2(0:0))
    call avR2(1011, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4913, nGC_4912])

    allocate(vertices(1489)%branchR2(0:0))
    call avR2(1489, 0, 17, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1098)%branchR2(0:0))
    call avR2(1098, 0, 17, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(213)%branchR2(0:0))
    call avR2(213, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4895, nGC_4894])

    allocate(vertices(14)%branchR2(0:0))
    call avR2(14, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4889])

    allocate(vertices(342)%branchR2(0:0))
    call avR2(342, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4866, nGC_4867])

    allocate(vertices(1668)%branchR2(0:1))
    call avR2(1668, 0, 43, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1668, 1, 44, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(148)%branchR2(0:0))
    call avR2(148, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(1669)%branchR2(0:1))
    call avR2(1669, 0, 51, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1669, 1, 52, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(687)%branchR2(0:0))
    call avR2(687, 0, 18, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1670)%branchR2(0:1))
    call avR2(1670, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,     &
    nGC_4992])

    call avR2(1670, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,     &
    nGC_4993])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(915)%branchR2(0:0))
    call avR2(915, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4921, nGC_4920])

    allocate(vertices(1671)%branchR2(0:1))
    call avR2(1671, 0, 47, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1671, 1, 48, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(275)%branchR2(0:0))
    call avR2(275, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(31)%branchR2(0:0))
    call avR2(31, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

    allocate(vertices(455)%branchR2(0:0))
    call avR2(455, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(334)%branchR2(0:5))
    call avR2(334, 0, 11, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4945, nGC_4945])

    call avR2(334, 1, 11, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4954, nGC_4952])

    call avR2(334, 2, 11, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4955, nGC_4953])

    call avR2(334, 3, 12, 1, 0, FFaV1, 0, [3, 0, 0], [nGC_4940, nGC_4940])

    call avR2(334, 4, 12, 1, 0, FFaV1, 0, [1, 2, 0], [nGC_4950, nGC_4948])

    call avR2(334, 5, 12, 1, 0, FFaV1, 0, [1, 2, 2], [nGC_4951, nGC_4949])

    allocate(vertices(558)%branchR2(0:1))
    call avR2(558, 0, 2, 1, 0, VVV0, 0, [3, 0, 0], [nGC_14582])

    call avR2(558, 1, 3, 1, 0, VVV0, 0, [3, 0, 0], [nGC_14580])

    allocate(vertices(1014)%branchR2(0:0))
    call avR2(1014, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

    allocate(vertices(1055)%branchR2(0:0))
    call avR2(1055, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

    allocate(vertices(1385)%branchR2(0:0))
    call avR2(1385, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1672)%branchR2(0:1))
    call avR2(1672, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1672, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1673)%branchR2(0:1))
    call avR2(1673, 0, 51, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4994])

    call avR2(1673, 1, 52, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4995])

    allocate(vertices(105)%branchR2(0:0))
    call avR2(105, 0, 10, 1, 0, FFaS1, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1674)%branchR2(0:1))
    call avR2(1674, 0, 35, 1, 0, VVS0, 0, [2, 1, 0], [nGC_4882])

    call avR2(1674, 1, 36, 1, 0, VVS0, 0, [2, 1, 0], [nGC_4883])

    allocate(vertices(482)%branchR2(0:0))
    call avR2(482, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(886)%branchR2(0:0))
    call avR2(886, 0, 20, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

    allocate(vertices(367)%branchR2(0:0))
    call avR2(367, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

    allocate(vertices(236)%branchR2(0:0))
    call avR2(236, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(287)%branchR2(0:0))
    call avR2(287, 0, 17, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(1363)%branchR2(0:0))
    call avR2(1363, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4885])

    allocate(vertices(1289)%branchR2(0:5))
    call avR2(1289, 0, 22, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(1289, 1, 22, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

    call avR2(1289, 2, 22, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

    call avR2(1289, 3, 23, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(1289, 4, 23, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

    call avR2(1289, 5, 23, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

    allocate(vertices(1675)%branchR2(0:1))
    call avR2(1675, 0, 49, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1675, 1, 50, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(1393)%branchR2(0:0))
    call avR2(1393, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4927, nGC_4926])

    allocate(vertices(1215)%branchR2(0:0))
    call avR2(1215, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4869, nGC_4868])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(1676)%branchR2(0:1))
    call avR2(1676, 0, 43, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4996])

    call avR2(1676, 1, 44, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4997])

    allocate(vertices(362)%branchR2(0:0))
    call avR2(362, 0, 20, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4879, nGC_4880])

    allocate(vertices(1059)%branchR2(0:0))
    call avR2(1059, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(869)%branchR2(0:0))
    call avR2(869, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(10)%branchR2(0:0))
    call avR2(10, 0, 17, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

    allocate(vertices(735)%branchR2(0:0))
    call avR2(735, 0, 17, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_4891, nGC_4890])

    allocate(vertices(1477)%branchR2(0:0))
    call avR2(1477, 0, 18, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

    allocate(vertices(1677)%branchR2(0:1))
    call avR2(1677, 0, 47, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1677, 1, 48, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(74)%branchR2(0:0))
    call avR2(74, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(916)%branchR2(0:0))
    call avR2(916, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(1327)%branchR2(0:0))
    call avR2(1327, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

    allocate(vertices(1678)%branchR2(0:1))
    call avR2(1678, 0, 51, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,     &
    nGC_5002])

    call avR2(1678, 1, 52, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,     &
    nGC_5003])

    allocate(vertices(1016)%branchR2(0:0))
    call avR2(1016, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4919, nGC_4918])

    allocate(vertices(1679)%branchR2(0:1))
    call avR2(1679, 0, 43, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1679, 1, 44, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1209)%branchR2(0:23))
    call avR2(1209, 0, 4, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5028, nGC_5028,      &
    nGC_5027])

    call avR2(1209, 1, 5, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5028, nGC_5028,      &
    nGC_5027])

    call avR2(1209, 2, 6, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5039, nGC_5041,      &
    nGC_5040])

    call avR2(1209, 3, 7, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5036, nGC_5038,      &
    nGC_5037])

    call avR2(1209, 4, 8, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5039, nGC_5041,      &
    nGC_5040])

    call avR2(1209, 5, 9, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5036, nGC_5038,      &
    nGC_5037])

    call avR2(1209, 6, 79, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5029, nGC_5029,     &
    nGC_5029])

    call avR2(1209, 7, 80, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5030, nGC_5029,     &
    nGC_5031])

    call avR2(1209, 8, 81, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5033, nGC_5032,     &
    nGC_5032])

    call avR2(1209, 9, 82, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5030, nGC_5031,     &
    nGC_5029])

    call avR2(1209, 10, 83, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5034, nGC_5035,    &
    nGC_5033])

    call avR2(1209, 11, 84, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5032, nGC_5033,    &
    nGC_5032])

    call avR2(1209, 12, 85, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5029, nGC_5031,    &
    nGC_5030])

    call avR2(1209, 13, 86, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5029, nGC_5031,    &
    nGC_5030])

    call avR2(1209, 14, 87, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5030, nGC_5031,    &
    nGC_5029])

    call avR2(1209, 15, 88, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5030, nGC_5029,    &
    nGC_5031])

    call avR2(1209, 16, 89, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5029, nGC_5029,    &
    nGC_5029])

    call avR2(1209, 17, 90, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5042, nGC_5042,    &
    nGC_5042])

    call avR2(1209, 18, 91, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5042, nGC_5042,    &
    nGC_5042])

    call avR2(1209, 19, 92, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5042, nGC_5042,    &
    nGC_5042])

    call avR2(1209, 20, 93, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5043, nGC_5043,    &
    nGC_5043])

    call avR2(1209, 21, 94, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5042, nGC_5042,    &
    nGC_5042])

    call avR2(1209, 22, 95, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5042, nGC_5042,    &
    nGC_5042])

    call avR2(1209, 23, 96, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_5042, nGC_5042,    &
    nGC_5042])

    allocate(vertices(41)%branchR2(0:0))
    call avR2(41, 0, 18, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

    allocate(vertices(451)%branchR2(0:0))
    call avR2(451, 0, 18, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4888])

    allocate(vertices(1188)%branchR2(0:0))
    call avR2(1188, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(1680)%branchR2(0:1))
    call avR2(1680, 0, 43, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,     &
    nGC_5015])

    call avR2(1680, 1, 44, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,     &
    nGC_5016])

    allocate(vertices(906)%branchR2(0:0))
    call avR2(906, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4899, nGC_4898])

    allocate(vertices(1681)%branchR2(0:1))
    call avR2(1681, 0, 43, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5000, nGC_5000,     &
    nGC_5000])

    call avR2(1681, 1, 44, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5001, nGC_5001,     &
    nGC_5001])

    allocate(vertices(1332)%branchR2(0:0))
    call avR2(1332, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4931, nGC_4930])

    allocate(vertices(463)%branchR2(0:5))
    call avR2(463, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

    call avR2(463, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

    call avR2(463, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

    call avR2(463, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

    call avR2(463, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

    call avR2(463, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

    allocate(vertices(52)%branchR2(0:0))
    call avR2(52, 0, 20, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4854])

    allocate(vertices(1146)%branchR2(0:0))
    call avR2(1146, 0, 18, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(1174)%branchR2(0:0))
    call avR2(1174, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

    allocate(vertices(210)%branchR2(0:0))
    call avR2(210, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4853, nGC_4853])

    allocate(vertices(777)%branchR2(0:0))
    call avR2(777, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4901, nGC_4900])

    allocate(vertices(937)%branchR2(0:0))
    call avR2(937, 0, 20, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4859])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4933, nGC_4932])

    allocate(vertices(330)%branchR2(0:0))
    call avR2(330, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

    allocate(vertices(980)%branchR2(0:0))
    call avR2(980, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4892, nGC_4893])

    allocate(vertices(244)%branchR2(0:0))
    call avR2(244, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 10, 1, 0, FFaV1, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 20, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

    allocate(vertices(936)%branchR2(0:0))
    call avR2(936, 0, 21, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

    allocate(vertices(224)%branchR2(0:0))
    call avR2(224, 0, 21, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

    allocate(vertices(422)%branchR2(0:0))
    call avR2(422, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4852, nGC_4851])

  end subroutine fill_vertices_mdl5
end module vertices_info5
