!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl11()
    coupl(nGC_4949) = coupl(nGC_11)*sq2*(-coupl(nGC_23)**2d0 - coupl(nGC_25)** &
                      2d0 - coupl(nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(   &
                      nGC_64)**2d0 - coupl(nGC_93)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4827) = cima*(-cMB*coupl(nGC_19)*coupl(nGC_28) - cMC*coupl(nGC_63&
                      )*coupl(nGC_81) - cMD*coupl(nGC_17)*coupl(nGC_26) - cMS* &
                      coupl(nGC_87)*coupl(nGC_96) - cMT*coupl(nGC_66)*coupl(   &
                      nGC_84) - cMU*coupl(nGC_60)*coupl(nGC_78))/(8d0*pi**2d0)
    coupl(nGC_9218) = -coupl(nGC_5174)
    coupl(nGC_9219) = -coupl(nGC_5175) - coupl(nGC_9217)
    coupl(nGC_4822) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_114)**2d0 - coupl(  &
                      nGC_42)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4823) = cima*(-coupl(nGC_18)**2d0 - coupl(nGC_19)**2d0 - coupl(  &
                      nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_67)**2d0 - &
                      coupl(nGC_88)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4943) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_114)**2d0 + coupl(nGC_130)*coupl(nGC_661) + coupl(   &
                      nGC_131)**2d0 + coupl(nGC_154)**2d0 + 4d0*coupl(nGC_42)**&
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_4942) = coupl(nGC_11)*sq2*(-coupl(nGC_27)**2d0 - coupl(nGC_28)** &
                      2d0 - coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(   &
                      nGC_85)**2d0 - coupl(nGC_97)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4941) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_110)**2d0 - coupl(nGC_129)**2d0 - coupl(nGC_130)*    &
                      coupl(nGC_661) - coupl(nGC_131)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4947) = coupl(nGC_11)*sq2*(coupl(nGC_27)**2d0 + coupl(nGC_28)**  &
                      2d0 + coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(   &
                      nGC_85)**2d0 + coupl(nGC_97)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4946) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_110)**2d0 + coupl(nGC_129)**2d0 + coupl(nGC_130)*    &
                      coupl(nGC_661) + coupl(nGC_131)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5343) = coupl(nGC_5341)*dcw_ + coupl(nGC_5342)*dsw_
    coupl(nGC_7709) = coupl(nGC_5129) + coupl(nGC_7707)
    coupl(nGC_10592) = coupl(nGC_MI)*dZZp
    coupl(nGC_10595) = coupl(nGC_5461) + coupl(nGC_MZp)*dZZp
    coupl(nGC_10596) = -coupl(nGC_10592)
    coupl(nGC_5119) = coupl(nGC_5118)*dys_QED1
    coupl(nGC_7569) = -coupl(nGC_5125)
    coupl(nGC_5112) = coupl(nGC_5110)*dys_QED1_QCD2
    coupl(nGC_5111) = coupl(nGC_5110)*dys_QED1
    coupl(nGC_5117) = coupl(nGC_5115)*dyc_QED1_QCD2
    coupl(nGC_5116) = coupl(nGC_5115)*dyc_QED1
    coupl(nGC_7563) = coupl(nGC_159)*dZH/2d0 + coupl(nGC_5154)
    coupl(nGC_5466) = coupl(nGC_227)*dMZ2
    coupl(nGC_5465) = coupl(nGC_223)*dMW2
    coupl(nGC_5464) = coupl(nGC_219)*dMW2
    coupl(nGC_7841) = coupl(nGC_5248) + coupl(nGC_61)*dZWpMinus/2d0
    coupl(nGC_7840) = coupl(nGC_5250) + coupl(nGC_79)*dZWpMinus/2d0
    coupl(nGC_10628) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_9520) = coupl(nGC_5370) + coupl(nGC_99)*dZZp/2d0 + coupl(nGC_99)*&
                      dZmuMinusR
    coupl(nGC_9521) = coupl(nGC_5367) + coupl(nGC_90)*dZZp/2d0 + coupl(nGC_90)*&
                      dZmuMinusL
    coupl(nGC_7922) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZtauMinusR +    &
                      coupl(nGC_5447)
    coupl(nGC_7923) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZtauMinusL +    &
                      coupl(nGC_5210)
    coupl(nGC_5027) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2831) + 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2841) - 30d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_5026) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)**2d0 - &
                      coupl(nGC_102)**2d0 - coupl(nGC_103)**2d0 - 2d0*coupl(   &
                      nGC_17)**2d0 - 2d0*coupl(nGC_18)**2d0 - 2d0*coupl(nGC_19 &
                      )**2d0 - 2d0*coupl(nGC_23)**2d0 - 2d0*coupl(nGC_24)**2d0 &
                       - 2d0*coupl(nGC_25)**2d0 - 2d0*coupl(nGC_26)**2d0 - 2d0*&
                      coupl(nGC_27)**2d0 - 2d0*coupl(nGC_28)**2d0 - 2d0*coupl( &
                      nGC_32)**2d0 - 2d0*coupl(nGC_33)**2d0 - 2d0*coupl(nGC_34 &
                      )**2d0 - coupl(nGC_86)**2d0 - coupl(nGC_87)**2d0 - coupl(&
                      nGC_88)**2d0 - coupl(nGC_92)**2d0 - coupl(nGC_93)**2d0 - &
                      coupl(nGC_94)**2d0 - coupl(nGC_95)**2d0 - coupl(nGC_96)**&
                      2d0 - coupl(nGC_97)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_5025) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)**2d0 +  &
                      coupl(nGC_102)**2d0 + coupl(nGC_103)**2d0 + 2d0*coupl(   &
                      nGC_17)**2d0 + 2d0*coupl(nGC_18)**2d0 + 2d0*coupl(nGC_19 &
                      )**2d0 + 2d0*coupl(nGC_23)**2d0 + 2d0*coupl(nGC_24)**2d0 &
                       + 2d0*coupl(nGC_25)**2d0 + 2d0*coupl(nGC_26)**2d0 + 2d0*&
                      coupl(nGC_27)**2d0 + 2d0*coupl(nGC_28)**2d0 + 2d0*coupl( &
                      nGC_32)**2d0 + 2d0*coupl(nGC_33)**2d0 + 2d0*coupl(nGC_34 &
                      )**2d0 + coupl(nGC_86)**2d0 + coupl(nGC_87)**2d0 + coupl(&
                      nGC_88)**2d0 + coupl(nGC_92)**2d0 + coupl(nGC_93)**2d0 + &
                      coupl(nGC_94)**2d0 + coupl(nGC_95)**2d0 + coupl(nGC_96)**&
                      2d0 + coupl(nGC_97)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5024) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101) -  &
                      coupl(nGC_102) - coupl(nGC_103) + coupl(nGC_86) + coupl( &
                      nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93   &
                      ) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) - coupl&
                      (nGC_97))/(128d0*pi**2d0)
    coupl(nGC_5023) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) + coupl(&
                      nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl(nGC_87 &
                      ) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93) + coupl&
                      (nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl(nGC_97  &
                      ))/(96d0*pi**2d0*Nc**2d0)
    coupl(nGC_5022) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101) - coupl&
                      (nGC_102) - coupl(nGC_103) - coupl(nGC_86) - coupl(nGC_87&
                      ) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93) - coupl&
                      (nGC_94) - coupl(nGC_95) - coupl(nGC_96) - coupl(nGC_97  &
                      ))/(192d0*pi**2d0*Nc)
    coupl(nGC_5021) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +   &
                      coupl(nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl( &
                      nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93   &
                      ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl&
                      (nGC_97))/(128d0*pi**2d0)
    coupl(nGC_5020) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) + coupl(&
                      nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl(nGC_87 &
                      ) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93) + coupl&
                      (nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl(nGC_97  &
                      ))/(384d0*pi**2d0)
    coupl(nGC_5029) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2831) + 12d0*Nc*cima*coupl(      &
                      nGC_2829)*coupl(nGC_2831) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_2829)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(  &
                      nGC_2831)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2841)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0*Nc)
    coupl(nGC_5028) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_2829)**2d0 + &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2829)*sq2**2d0 + 36d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_7690) = coupl(nGC_5415) + coupl(nGC_94)*dZZp/2d0
    coupl(nGC_7691) = coupl(nGC_103)*dZZp/2d0 + coupl(nGC_5418)
    coupl(nGC_5201) = coupl(nGC_5200)*dsw_
    coupl(nGC_13228) = -coupl(nGC_5021)
    coupl(nGC_5207) = coupl(nGC_5205)*dcw_ + coupl(nGC_5206)*dsw_
    coupl(nGC_8537) = coupl(nGC_81)*(dZcR_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_8534) = coupl(nGC_63)*(dZcL_QCD2 + dZsL_QCD2)/2d0
  end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
