!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl14()
    coupl(nGC_8403) = coupl(nGC_152)*dZH/2d0 + coupl(nGC_5111)
    coupl(nGC_4811) = cima*(-coupl(nGC_111)**2d0 - coupl(nGC_2)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4959) = coupl(nGC_11)*sq2*(-coupl(nGC_26)**2d0 - coupl(nGC_27)** &
                      2d0 - coupl(nGC_77)**2d0 - coupl(nGC_80)**2d0 - coupl(   &
                      nGC_83)**2d0 - coupl(nGC_95)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4813) = cMC*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_8607) = coupl(nGC_7600) + coupl(nGC_8605)
    coupl(nGC_4815) = cima*(-cMB*coupl(nGC_64)*coupl(nGC_82) - cMC*coupl(      &
                      nGC_102)*coupl(nGC_93) - cMD*coupl(nGC_62)*coupl(nGC_80  &
                      ) - cMS*coupl(nGC_63)*coupl(nGC_81) - cMT*coupl(nGC_25)* &
                      coupl(nGC_34) - cMU*coupl(nGC_23)*coupl(nGC_32))/(8d0*pi &
                      **2d0)
    coupl(nGC_4817) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(  &
                      nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 - &
                      coupl(nGC_93)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4816) = cima*(-coupl(nGC_108)**2d0 - coupl(nGC_115)**2d0 - coupl(&
                      nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4819) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(     &
                      nGC_114))/(8d0*pi**2d0)
    coupl(nGC_9078) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_4952) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_108)**2d0 + 4d0*coupl(  &
                      nGC_115)**2d0 + coupl(nGC_132)**2d0 + coupl(nGC_133)*    &
                      coupl(nGC_647) + coupl(nGC_148)**2d0 + 4d0*coupl(nGC_2)**&
                      2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4953) = coupl(nGC_11)*sq2*(coupl(nGC_23)**2d0 + coupl(nGC_25)**  &
                      2d0 + coupl(nGC_62)**2d0 + coupl(nGC_63)**2d0 + coupl(   &
                      nGC_64)**2d0 + coupl(nGC_93)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4954) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(      &
                      nGC_132)**2d0 + coupl(nGC_133)*coupl(nGC_647) + coupl(   &
                      nGC_134)**2d0 + coupl(nGC_135)**2d0 + 4d0*coupl(nGC_2)** &
                      2d0)/(64d0*pi**2d0)
    coupl(nGC_4955) = coupl(nGC_11)*sq2*(coupl(nGC_102)**2d0 + coupl(nGC_32)** &
                      2d0 + coupl(nGC_34)**2d0 + coupl(nGC_80)**2d0 + coupl(   &
                      nGC_81)**2d0 + coupl(nGC_82)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4956) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_108)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_135  &
                      )**2d0 - coupl(nGC_1351)*coupl(nGC_137) - coupl(nGC_138  &
                      )**2d0 - coupl(nGC_151)*coupl(nGC_153) - coupl(nGC_152)**&
                      2d0 - coupl(nGC_162)**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0&
                      *pi**2d0*Nc)
    coupl(nGC_4957) = coupl(nGC_11)*sq2*(-coupl(nGC_17)**2d0 - coupl(nGC_18)** &
                      2d0 - coupl(nGC_59)**2d0 - coupl(nGC_62)**2d0 - coupl(   &
                      nGC_65)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4898) = coupl(nGC_11)**2d0*coupl(nGC_67)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4887) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9075) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_9833) = coupl(nGC_88)*dZbL_QCD2
    coupl(nGC_9835) = coupl(nGC_5346) + coupl(nGC_97)*dZZp/2d0
    coupl(nGC_9836) = coupl(nGC_5343) + coupl(nGC_88)*dZZp/2d0
    coupl(nGC_5108) = coupl(nGC_5107)*dydo_QED1
    coupl(nGC_5109) = coupl(nGC_5107)*dydo_QED1_QCD2
    coupl(nGC_5102) = coupl(nGC_5101)*dys_QED1
    coupl(nGC_5103) = coupl(nGC_5101)*dys_QED1_QCD2
    coupl(nGC_7555) = coupl(nGC_5298) + coupl(nGC_73)*dZWpMinus/2d0 + coupl(   &
                      nGC_73)*dZnu_muR/2d0 + coupl(nGC_73)*dZtauMinusR/2d0
    coupl(nGC_7566) = coupl(nGC_149)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_7851) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_5429)
    coupl(nGC_7854) = coupl(nGC_13)*dZH + coupl(nGC_5047)
    coupl(nGC_7857) = coupl(nGC_113)*dZH/2d0 + coupl(nGC_113)*dZZ/2d0 + coupl( &
                      nGC_5207)
    coupl(nGC_7858) = -coupl(nGC_7857)
    coupl(nGC_4894) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4896) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7915) = coupl(nGC_37)*dZWMinus + coupl(nGC_37)*dZZ + coupl(      &
                      nGC_5238)
    coupl(nGC_7914) = coupl(nGC_38)*dZWMinus + coupl(nGC_38)*dZZ + coupl(      &
                      nGC_5235)
    coupl(nGC_5034) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2831)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2829)*sq2**2d0  &
                       + 15d0*coupl(nGC_10)**2d0*coupl(nGC_2831)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_8308) = coupl(nGC_5244) + coupl(nGC_60)*dZWpMinus/2d0
    coupl(nGC_5036) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2829) + 12d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_2829)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_5037) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_2829)**2d0 + &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2829)*sq2**2d0 + 36d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_5030) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*  &
                      coupl(nGC_12)*coupl(nGC_2831) + 3d0*Nc*cima*coupl(       &
                      nGC_2829)*coupl(nGC_2831) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2829)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2831)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(192d0*pi**2d0*Nc)
    coupl(nGC_5031) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_2831) + 6d0*Nc*cima*coupl(       &
                      nGC_2829)*coupl(nGC_2831) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_2829)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2831)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_2841)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_5032) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_2831)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2829)*sq2**  &
                      2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_2831)*sq2**2d0 + &
                      3d0*coupl(nGC_10)**2d0*coupl(nGC_2841)*sq2**2d0)/(384d0* &
                      pi**2d0)
    coupl(nGC_5033) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_2829) +  &
                      3d0*cima*coupl(nGC_2829)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(   &
                      nGC_2829)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_8305) = coupl(nGC_60)*(dZsL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5039) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 - 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2831) + 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2841) - 60d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_8307) = coupl(nGC_5246) + coupl(nGC_78)*dZWpMinus/2d0
    coupl(nGC_5035) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2831)**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_2831)*&
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_2841)*sq2**  &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_5358) = coupl(nGC_5356)*dcw_ + coupl(nGC_5357)*dsw_
    coupl(nGC_8540) = coupl(nGC_5256) + coupl(nGC_81)*dZWpMinus/2d0
  end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
