!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_4918) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5425) = coupl(nGC_5424)*dsw_
    coupl(nGC_7966) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_4973) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_5091) = -cima*dydo_QED1_QCD2
    coupl(nGC_7752) = coupl(nGC_5242) + coupl(nGC_59)*dZWpMinus/2d0
    coupl(nGC_5145) = -cima*dym_QED1
    coupl(nGC_5140) = -cima*dye_QED1
    coupl(nGC_7646) = coupl(nGC_50)*dZWpMinus/2d0 + coupl(nGC_50)*dZeMinusL/2d0&
                       + coupl(nGC_50)*dZnu_eL/2d0 + coupl(nGC_5278)
    coupl(nGC_8128) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_5322) = coupl(nGC_5320)*dcw_ + coupl(nGC_5321)*dsw_
    coupl(nGC_5325) = coupl(nGC_5323)*dcw_ + coupl(nGC_5324)*dsw_
    coupl(nGC_5328) = coupl(nGC_5326)*dcw_ + coupl(nGC_5327)*dsw_
    coupl(nGC_4931) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4859) = coupl(nGC_11)**2d0*coupl(nGC_163)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4848) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_8573) = coupl(nGC_138)*dZH/2d0 + coupl(nGC_5099)
    coupl(nGC_8478) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_4879) = coupl(nGC_11)**2d0*coupl(nGC_140)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4878) = coupl(nGC_11)**2d0*coupl(nGC_138)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4919) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_8143) = coupl(nGC_129)*dZbR_QCD2/2d0 + coupl(nGC_129)*dZtL_QCD2/ &
                      2d0 + coupl(nGC_5133)
    coupl(nGC_5210) = coupl(nGC_5208)*dcw_ + coupl(nGC_5209)*dsw_
    coupl(nGC_12635) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_4873) = coupl(nGC_11)**2d0*coupl(nGC_156)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7708) = coupl(nGC_150)*dZH/2d0 + coupl(nGC_5128)
    coupl(nGC_5391) = coupl(nGC_5389)*dcw_ + coupl(nGC_5390)*dsw_
    coupl(nGC_5254) = coupl(nGC_5253)*dsw_
    coupl(nGC_5256) = coupl(nGC_5255)*dsw_
    coupl(nGC_5252) = coupl(nGC_5251)*dsw_
    coupl(nGC_4876) = coupl(nGC_11)**2d0*coupl(nGC_132)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5367) = coupl(nGC_5365)*dcw_ + coupl(nGC_5366)*dsw_
    coupl(nGC_8058) = coupl(nGC_87)*dZsL_QCD2
    coupl(nGC_8114) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_5191) = coupl(nGC_5190)*dsw_
    coupl(nGC_5198) = coupl(nGC_5196)*dsw_ + coupl(nGC_5197)*dvev_QEDM1
    coupl(nGC_5149) = coupl(nGC_5148)*dym_QED1
    coupl(nGC_7600) = coupl(nGC_4)*dZA/2d0
    coupl(nGC_7635) = coupl(nGC_118)*dZA/2d0 + coupl(nGC_118)*dZZ/2d0 + coupl( &
                      nGC_5204)
    coupl(nGC_7631) = coupl(nGC_18)*dZZp/2d0 + coupl(nGC_5325)
    coupl(nGC_7632) = coupl(nGC_27)*dZZp/2d0 + coupl(nGC_5328)
    coupl(nGC_8604) = coupl(nGC_4)*dZmuMinusR
    coupl(nGC_8605) = coupl(nGC_4)*dZmuMinusL
    coupl(nGC_4839) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_9830) = coupl(nGC_97)*dZbR_QCD2
    coupl(nGC_4888) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4854) = coupl(nGC_11)**2d0*coupl(nGC_135)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7532) = coupl(nGC_83)*(dZdR_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_5100) = coupl(nGC_5098)*dydo_QED1_QCD2
    coupl(nGC_5105) = coupl(nGC_5104)*dydo_QED1
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
