!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_4922) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4925) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4924) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4927) = coupl(nGC_11)**2d0*coupl(nGC_26)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5122) = coupl(nGC_5121)*dydo_QED1
    coupl(nGC_4928) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5435) = coupl(nGC_5433)*dcw_ + coupl(nGC_5434)*dsw_
    coupl(nGC_7959) = coupl(nGC_158)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_4868) = coupl(nGC_11)**2d0*coupl(nGC_139)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5250) = coupl(nGC_5249)*dsw_
    coupl(nGC_8606) = coupl(nGC_7600) + coupl(nGC_8604)
    coupl(nGC_4856) = coupl(nGC_11)**2d0*coupl(nGC_148)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8265) = coupl(nGC_123)*dZWMinus/2d0 + coupl(nGC_123)*dZZ/2d0 +   &
                      coupl(nGC_5217)
    coupl(nGC_5123) = coupl(nGC_5121)*dydo_QED1_QCD2
    coupl(nGC_10627) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_5171) = coupl(nGC_5170)*dyc_QED1
    coupl(nGC_7580) = coupl(nGC_43)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5172) = coupl(nGC_5170)*dyc_QED1_QCD2
    coupl(nGC_5175) = coupl(nGC_5173)*dyt_QED1_QCD2
    coupl(nGC_5174) = coupl(nGC_5173)*dyt_QED1
    coupl(nGC_5177) = coupl(nGC_5176)*dyt_QED1
    coupl(nGC_7585) = coupl(nGC_109)*dZWMinus/2d0 + coupl(nGC_5425)
    coupl(nGC_5178) = coupl(nGC_5176)*dyt_QED1_QCD2
    coupl(nGC_7588) = coupl(nGC_46)*dZA/2d0 + coupl(nGC_46)*dZWMinus/2d0 +     &
                      coupl(nGC_5191)
    coupl(nGC_8665) = -coupl(nGC_5135)
    coupl(nGC_10393) = coupl(nGC_5462) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_4833) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_14580) = -coupl(nGC_4990)
    coupl(nGC_7734) = coupl(nGC_161)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7782) = coupl(nGC_131)*dZH/2d0 + coupl(nGC_5138)
    coupl(nGC_7783) = coupl(nGC_5139) + coupl(nGC_7781)
    coupl(nGC_9235) = coupl(nGC_11)*dZtL_QCD2
    coupl(nGC_7821) = coupl(nGC_144)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_10601) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_10602) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_5316) = coupl(nGC_5314)*dcw_ + coupl(nGC_5315)*dsw_
    coupl(nGC_4996) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0 - &
                      coupl(nGC_132)**2d0 - coupl(nGC_138)**2d0 - coupl(nGC_140&
                      )**2d0 - coupl(nGC_150)**2d0 - coupl(nGC_152)**2d0 -     &
                      coupl(nGC_155)**2d0 - coupl(nGC_160)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7584) = coupl(nGC_109)*(dZsL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_10311) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_4930) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4889) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5290) = coupl(nGC_5289)*dsw_
    coupl(nGC_10313) = coupl(nGC_10311) + coupl(nGC_5459)
    coupl(nGC_4875) = coupl(nGC_11)**2d0*coupl(nGC_161)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7735) = -coupl(nGC_5159)
    coupl(nGC_7707) = coupl(nGC_150)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_7737) = coupl(nGC_5160) + coupl(nGC_7734)
    coupl(nGC_7736) = -coupl(nGC_5160) - coupl(nGC_7734)
    coupl(nGC_8113) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_4899) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
