!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_4835) = cima*(-coupl(nGC_109)**2d0 - coupl(nGC_115)**2d0 - coupl(&
                      nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4834) = cima*(-cMB*coupl(nGC_61)*coupl(nGC_79) - cMC*coupl(nGC_23&
                      )*coupl(nGC_32) - cMD*coupl(nGC_59)*coupl(nGC_77) - cMS* &
                      coupl(nGC_60)*coupl(nGC_78) - cMT*coupl(nGC_24)*coupl(   &
                      nGC_33) - cMU*coupl(nGC_101)*coupl(nGC_92))/(8d0*pi**2d0)
    coupl(nGC_4832) = cMU*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2)**&
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_4938) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_114)**2d0 - coupl(nGC_130)*coupl(nGC_661) - coupl(   &
                      nGC_131)**2d0 - coupl(nGC_154)**2d0 - 4d0*coupl(nGC_42)**&
                      2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4939) = coupl(nGC_11)*sq2*(-coupl(nGC_18)**2d0 - coupl(nGC_19)** &
                      2d0 - coupl(nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(   &
                      nGC_67)**2d0 - coupl(nGC_88)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4936) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4937) = coupl(nGC_101)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4934) = coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101) + coupl(     &
                      nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl(nGC_87 &
                      ) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93) - coupl&
                      (nGC_94) + coupl(nGC_95) + coupl(nGC_96) + coupl(nGC_97  &
                      ))/(24d0*pi**2d0)
    coupl(nGC_4935) = coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101) - coupl(    &
                      nGC_102) - coupl(nGC_103) + coupl(nGC_86) + coupl(nGC_87 &
                      ) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93) + coupl&
                      (nGC_94) - coupl(nGC_95) - coupl(nGC_96) - coupl(nGC_97  &
                      ))/(24d0*pi**2d0*Nc)
    coupl(nGC_4932) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4933) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4838) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(     &
                      nGC_114))/(8d0*pi**2d0)
    coupl(nGC_7947) = coupl(nGC_145)*dZmuMinusR/2d0 + coupl(nGC_145)*dZnu_muL/ &
                      2d0 + coupl(nGC_5145)
    coupl(nGC_5045) = coupl(nGC_5044)*dlam_QED2
    coupl(nGC_5047) = coupl(nGC_5046)*dlam_QED2
    coupl(nGC_5041) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2829) + 9d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_2829)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_5040) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2829) + 3d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_2829)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_8215) = -coupl(nGC_8214)
    coupl(nGC_9859) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_5210)
    coupl(nGC_8355) = coupl(nGC_114)*dZdL_QCD2
    coupl(nGC_5168) = coupl(nGC_5167)*dyc_QED1
    coupl(nGC_5169) = coupl(nGC_5167)*dyc_QED1_QCD2
    coupl(nGC_7577) = coupl(nGC_135)*dZcR_QCD2/2d0 + coupl(nGC_135)*dZdL_QCD2/ &
                      2d0 + coupl(nGC_5166)
    coupl(nGC_5162) = coupl(nGC_5161)*dyup_QED1
    coupl(nGC_5163) = coupl(nGC_5161)*dyup_QED1_QCD2
    coupl(nGC_8922) = coupl(nGC_110)*dZbR_QCD2
    coupl(nGC_7835) = coupl(nGC_79)*(dZbR_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7831) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_tauL + coupl&
                      (nGC_5444)
    coupl(nGC_7838) = coupl(nGC_61)*(dZbL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5308) = coupl(nGC_5307)*dsw_
    coupl(nGC_5302) = coupl(nGC_5301)*dsw_
    coupl(nGC_5300) = coupl(nGC_5299)*dsw_
    coupl(nGC_5306) = coupl(nGC_5305)*dsw_
    coupl(nGC_7932) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_eL + coupl( &
                      nGC_5444)
    coupl(nGC_7880) = coupl(nGC_5300) + coupl(nGC_74)*dZWpMinus/2d0 + coupl(   &
                      nGC_74)*dZeMinusR/2d0 + coupl(nGC_74)*dZnu_tauR/2d0
    coupl(nGC_11068) = coupl(nGC_5460) + coupl(nGC_MZ)*dZZ
    coupl(nGC_11065) = coupl(nGC_MI)*dZZ
    coupl(nGC_4886) = coupl(nGC_11)**2d0*coupl(nGC_160)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7688) = coupl(nGC_103)*dZtR_QCD2
    coupl(nGC_5274) = coupl(nGC_5273)*dsw_
    coupl(nGC_4885) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4882) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_131) - cMC*  &
                      coupl(nGC_132) - cMD*coupl(nGC_138) - cMS*coupl(nGC_150  &
                      ) - cMT*coupl(nGC_155) - cMU*coupl(nGC_160))/(16d0*pi**  &
                      2d0)
    coupl(nGC_4893) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5270) = coupl(nGC_5269)*dsw_
    coupl(nGC_9220) = coupl(nGC_5175) + coupl(nGC_9217)
    coupl(nGC_5379) = coupl(nGC_5377)*dcw_ + coupl(nGC_5378)*dsw_
    coupl(nGC_5376) = coupl(nGC_5374)*dcw_ + coupl(nGC_5375)*dsw_
    coupl(nGC_5373) = coupl(nGC_5371)*dcw_ + coupl(nGC_5372)*dsw_
    coupl(nGC_5370) = coupl(nGC_5368)*dcw_ + coupl(nGC_5369)*dsw_
    coupl(nGC_4972) = coupl(nGC_11)*sq2*(coupl(nGC_103)**2d0 + coupl(nGC_33)** &
                      2d0 + coupl(nGC_34)**2d0 + coupl(nGC_83)**2d0 + coupl(   &
                      nGC_84)**2d0 + coupl(nGC_85)**2d0)/(16d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
