!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 18:23             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 1065, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 1313, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 747, check)
    call createCurrent(P_b, P_bAnti, P_g, 1417, check)
    call createCurrent(P_muPlus, P_Zp, P_tauMinus, 881, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 1299, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 905, check)
    call createCurrent(P_WpPlus, P_tAnti, P_s, 806, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 38, check)
    call createCurrent(P_WpMinus, P_dAnti, P_t, 1137, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 242, check)
    call createCurrent(P_GPlus, P_uAnti, P_s, 258, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 59, check)
    call createCurrent(P_WpPlus, P_s, P_cAnti, 951, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 56, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 82, check)
    call createCurrent(P_s, P_sAnti, P_H, 36, check)
    call createCurrent(P_cAnti, P_WpPlus, P_d, 344, check)
    call createCurrent(P_WpMinus, P_nu_e, P_ePlus, 1219, check)
    call createCurrent(P_g, P_cAnti, P_c, 449, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 1414, check)
    call createCurrent(P_WPlus, P_g, P_WpMinus, P_g, 1677, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 959, check)
    call createCurrent(P_Zp, P_s, P_sAnti, 1275, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 609, check)
    call createCurrent(P_u, P_cAnti, P_Zp, 668, check)
    call createCurrent(P_c, P_GMinus, P_dAnti, 397, check)
    call createCurrent(P_Zp, P_b, P_dAnti, 1473, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 919, check)
    call createCurrent(P_s, P_WpPlus, P_cAnti, 1070, check)
    call createCurrent(P_nu_e, P_ePlus, P_WpMinus, 130, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 544, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 200, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 979, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_tauAnti, 204, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 1480, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 1107, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 163, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 646, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 195, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 81, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 854, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 1301, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 1151, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 934, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_e, 1090, check)
    call createCurrent(P_Zp, P_d, P_bAnti, 578, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 46, check)
    call createCurrent(P_bAnti, P_b, P_g, 35, check)
    call createCurrent(P_cAnti, P_Z, P_c, 1012, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 850, check)
    call createCurrent(P_Zp, P_tauMinus, P_ePlus, 1007, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 214, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 1052, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 469, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 1056, check)
    call createCurrent(P_t, P_Z, P_tAnti, 103, check)
    call createCurrent(P_G0, P_dAnti, P_d, 363, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 361, check)
    call createCurrent(P_s, P_Z, P_sAnti, 1471, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 1402, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 365, check)
    call createCurrent(P_H, P_cAnti, P_c, 487, check)
    call createCurrent(P_bAnti, P_b, P_Z, 1421, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 79, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 713, check)
    call createCurrent(P_H, P_sAnti, P_d, 194, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 1002, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 955, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 1468, check)
    call createCurrent(P_G0, P_uAnti, P_u, 41, check)
    call createCurrent(P_G0, P_c, P_cAnti, 569, check)
    call createCurrent(P_s, P_uAnti, P_GPlus, 105, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 457, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 716, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1662, check)
    call createCurrent(P_WpPlus, P_WMinus, P_g, P_g, 1681, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 1221, check)
    call createCurrent(P_g, P_g, P_Z, P_Zp, 1598, check)
    call createCurrent(P_Zp, P_sAnti, P_b, 1458, check)
    call createCurrent(P_uAnti, P_s, P_WpPlus, 627, check)
    call createCurrent(P_sAnti, P_WpMinus, P_u, 294, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1558, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 167, check)
    call createCurrent(P_tauMinus, P_Zp, P_muPlus, 1217, check)
    call createCurrent(P_dAnti, P_t, P_WpMinus, 3, check)
    call createCurrent(P_Zp, P_muMinus, P_tauPlus, 99, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 1008, check)
    call createCurrent(P_sAnti, P_s, P_H, 436, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 458, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 621, check)
    call createCurrent(P_WpPlus, P_WpMinus, P_g, P_g, 1680, check)
    call createCurrent(P_Z, P_uAnti, P_u, 1125, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 113, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 9, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 533, check)
    call createCurrent(P_Zp, P_A, P_g, P_g, 1573, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 965, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 84, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 535, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 985, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 177, check)
    call createCurrent(P_dAnti, P_g, P_d, 572, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_e, 1383, check)
    call createCurrent(P_c, P_cAnti, P_A, 577, check)
    call createCurrent(P_Zp, P_g, P_g, P_Z, 1614, check)
    call createCurrent(P_tauMinus, P_nu_muAnti, P_WpPlus, 834, check)
    call createCurrent(P_H, P_dAnti, P_s, 1014, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1646, check)
    call createCurrent(P_cAnti, P_GPlus, P_d, 52, check)
    call createCurrent(P_G0, P_sAnti, P_d, 55, check)
    call createCurrent(P_tAnti, P_t, P_A, 241, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1518, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 1494, check)
    call createCurrent(P_b, P_WpPlus, P_cAnti, 403, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 1403, check)
    call createCurrent(P_eMinus, P_muPlus, P_Zp, 541, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 227, check)
    call createCurrent(P_c, P_WpMinus, P_dAnti, 980, check)
    call createCurrent(P_A, P_d, P_dAnti, 1320, check)
    call createCurrent(P_dAnti, P_c, P_WMinus, 1344, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 711, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 944, check)
    call createCurrent(P_H, P_H, P_H, 1302, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 253, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 1202, check)
    call createCurrent(P_d, P_WpPlus, P_tAnti, 709, check)
    call createCurrent(P_g, P_WpMinus, P_g, P_WpPlus, 1611, check)
    call createCurrent(P_dAnti, P_A, P_d, 30, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 1120, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 234, check)
    call createCurrent(P_uAnti, P_u, 1517, check)
    call createCurrent(P_WpMinus, P_bAnti, P_c, 615, check)
    call createCurrent(P_Zp, P_bAnti, P_d, 431, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 297, check)
    call createCurrent(P_sAnti, P_A, P_s, 1143, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 184, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 805, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 740, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WpPlus, 245, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_muMinus, 1190, check)
    call createCurrent(P_eMinus, P_ePlus, P_Zp, 1169, check)
    call createCurrent(P_uAnti, P_WPlus, P_s, 675, check)
    call createCurrent(P_tauPlus, P_Zp, P_tauMinus, 798, check)
    call createCurrent(P_d, P_H, P_sAnti, 408, check)
    call createCurrent(P_t, P_sAnti, P_WpMinus, 1234, check)
    call createCurrent(P_uAnti, P_WpPlus, P_s, 185, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 891, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 1162, check)
    call createCurrent(P_uAnti, P_u, P_g, 509, check)
    call createCurrent(P_nu_e, P_WpMinus, P_muPlus, 1163, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 151, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 871, check)
    call createCurrent(P_nu_eAnti, P_muMinus, P_WpPlus, 1252, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 174, check)
    call createCurrent(P_u, P_uAnti, 1532, check)
    call createCurrent(P_WpPlus, P_g, P_WpMinus, P_g, 1623, check)
    call createCurrent(P_cAnti, P_c, P_Zp, 517, check)
    call createCurrent(P_sAnti, P_H, P_s, 998, check)
    call createCurrent(P_s, P_WpPlus, P_uAnti, 445, check)
    call createCurrent(P_tAnti, P_t, P_Z, 224, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 867, check)
    call createCurrent(P_s, P_sAnti, P_Zp, 1184, check)
    call createCurrent(P_cAnti, P_d, P_GPlus, 966, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 181, check)
    call createCurrent(P_g, P_WPlus, P_WpMinus, P_g, 1655, check)
    call createCurrent(P_sAnti, P_b, P_Zp, 936, check)
    call createCurrent(P_d, P_cAnti, P_GPlus, 870, check)
    call createCurrent(P_G0, P_H, P_G0, 912, check)
    call createCurrent(P_WMinus, P_dAnti, P_c, 220, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 350, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 136, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 1096, check)
    call createCurrent(P_s, P_H, P_sAnti, 909, check)
    call createCurrent(P_cAnti, P_c, 1535, check)
    call createCurrent(P_uAnti, P_u, P_Zp, 218, check)
    call createCurrent(P_cAnti, P_Zp, P_t, 1021, check)
    call createCurrent(P_c, P_cAnti, P_G0, 595, check)
    call createCurrent(P_WpPlus, P_cAnti, P_b, 300, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 96, check)
    call createCurrent(P_tauMinus, P_Zp, P_ePlus, 620, check)
    call createCurrent(P_c, P_sAnti, P_WpMinus, 542, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 1139, check)
    call createCurrent(P_G0, P_tAnti, P_t, 1305, check)
    call createCurrent(P_dAnti, P_Zp, P_b, 832, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 6, check)
    call createCurrent(P_bAnti, P_Zp, P_d, 1085, check)
    call createCurrent(P_s, P_dAnti, P_G0, 481, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_e, 1392, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 929, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 354, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 1079, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 922, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 666, check)
    call createCurrent(P_dAnti, P_d, P_g, 1407, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 42, check)
    call createCurrent(P_c, P_cAnti, 1536, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 994, check)
    call createCurrent(P_WpMinus, P_c, P_bAnti, 213, check)
    call createCurrent(P_tauMinus, P_Zp, P_tauPlus, 663, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 480, check)
    call createCurrent(P_s, P_Zp, P_sAnti, 124, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 567, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 402, check)
    call createCurrent(P_eMinus, P_nu_tauAnti, P_WpPlus, 1406, check)
    call createCurrent(P_s, P_sAnti, P_g, 491, check)
    call createCurrent(P_uAnti, P_Z, P_u, 1061, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 531, check)
    call createCurrent(P_ePlus, P_nu_e, P_WpMinus, 25, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 88, check)
    call createCurrent(P_d, P_dAnti, 1504, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 1177, check)
    call createCurrent(P_A, P_Zp, P_g, P_g, 1557, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 1423, check)
    call createCurrent(P_H, P_G0, P_Z, 757, check)
    call createCurrent(P_d, P_GPlus, P_cAnti, 956, check)
    call createCurrent(P_uAnti, P_d, P_WpPlus, 1317, check)
    call createCurrent(P_H, P_s, P_dAnti, 518, check)
    call createCurrent(P_d, P_Zp, P_bAnti, 1188, check)
    call createCurrent(P_Z, P_g, P_g, P_Zp, 1616, check)
    call createCurrent(P_g, P_WpPlus, P_g, P_WpMinus, 1600, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_tauPlus, 1203, check)
    call createCurrent(P_d, P_sAnti, P_H, 1053, check)
    call createCurrent(P_G0, P_d, P_dAnti, 1258, check)
    call createCurrent(P_bAnti, P_G0, P_b, 371, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 1148, check)
    call createCurrent(P_H, P_Z, P_G0, 202, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 295, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_eMinus, 858, check)
    call createCurrent(P_bAnti, P_Z, P_b, 356, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 962, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1635, check)
    call createCurrent(P_d, P_dAnti, P_A, 249, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 651, check)
    call createCurrent(P_s, P_GPlus, P_uAnti, 751, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WpMinus, 733, check)
    call createCurrent(P_u, P_Zp, P_tAnti, 1015, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 890, check)
    call createCurrent(P_WPlus, P_WMinus, 1537, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 489, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 155, check)
    call createCurrent(P_dAnti, P_WpMinus, P_u, 1428, check)
    call createCurrent(P_muMinus, P_muPlus, P_Zp, 1167, check)
    call createCurrent(P_A, P_g, P_Zp, P_g, 1647, check)
    call createCurrent(P_u, P_Zp, P_cAnti, 1327, check)
    call createCurrent(P_c, P_dAnti, P_GMinus, 938, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 417, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 1452, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_eAnti, 452, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 1003, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 269, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 1204, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 230, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 1333, check)
    call createCurrent(P_Zp, P_g, P_g, P_g, 1632, check)
    call createCurrent(P_Zp, P_s, P_bAnti, 608, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 197, check)
    call createCurrent(P_d, P_G0, P_dAnti, 336, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 688, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 364, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1580, check)
    call createCurrent(P_WpPlus, P_uAnti, P_d, 1198, check)
    call createCurrent(P_Zp, P_tAnti, P_u, 207, check)
    call createCurrent(P_tAnti, P_Zp, P_t, 1197, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 278, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 411, check)
    call createCurrent(P_d, P_cAnti, P_WPlus, 322, check)
    call createCurrent(P_g, P_g, P_WpPlus, P_WMinus, 1599, check)
    call createCurrent(P_muPlus, P_nu_tau, P_WpMinus, 947, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WpMinus, 900, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1648, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 32, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 901, check)
    call createCurrent(P_A, P_s, P_sAnti, 461, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 1388, check)
    call createCurrent(P_Zp, P_tauMinus, P_tauPlus, 1237, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 311, check)
    call createCurrent(P_H, P_d, P_sAnti, 1441, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 1214, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 104, check)
    call createCurrent(P_d, P_g, P_dAnti, 1330, check)
    call createCurrent(P_g, P_t, P_tAnti, 983, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 789, check)
    call createCurrent(P_t, P_tAnti, 1500, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 538, check)
    call createCurrent(P_sAnti, P_WMinus, P_u, 1296, check)
    call createCurrent(P_b, P_bAnti, P_Zp, 1206, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1525, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 441, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 298, check)
    call createCurrent(P_c, P_cAnti, P_g, 334, check)
    call createCurrent(P_dAnti, P_d, P_A, 635, check)
    call createCurrent(P_c, P_cAnti, P_Zp, 1016, check)
    call createCurrent(P_u, P_uAnti, P_Z, 1250, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 797, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 565, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 1363, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 488, check)
    call createCurrent(P_uAnti, P_WpPlus, P_d, 942, check)
    call createCurrent(P_g, P_b, P_bAnti, 176, check)
    call createCurrent(P_A, P_b, P_bAnti, 1011, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1675, check)
    call createCurrent(P_WpPlus, P_s, P_tAnti, 744, check)
    call createCurrent(P_c, P_H, P_cAnti, 927, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 715, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 908, check)
    call createCurrent(P_tAnti, P_Zp, P_c, 1325, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 1129, check)
    call createCurrent(P_GMinus, P_u, P_sAnti, 287, check)
    call createCurrent(P_uAnti, P_Zp, P_t, 1086, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 116, check)
    call createCurrent(P_g, P_Zp, P_g, 1650, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 145, check)
    call createCurrent(P_d, P_H, P_dAnti, 1271, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1630, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 1249, check)
    call createCurrent(P_sAnti, P_s, P_G0, 991, check)
    call createCurrent(P_WpMinus, P_sAnti, P_t, 1087, check)
    call createCurrent(P_u, P_G0, P_uAnti, 149, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 473, check)
    call createCurrent(P_Zp, P_uAnti, P_u, 1477, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_tauAnti, 1386, check)
    call createCurrent(P_G0, P_cAnti, P_c, 1135, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 1192, check)
    call createCurrent(P_H, P_t, P_tAnti, 94, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 416, check)
    call createCurrent(P_G0, P_sAnti, P_s, 358, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_tau, 739, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 1279, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 1166, check)
    call createCurrent(P_muPlus, P_Zp, P_eMinus, 502, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 44, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_tau, 500, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 664, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1583, check)
    call createCurrent(P_Zp, P_sAnti, P_s, 872, check)
    call createCurrent(P_Zp, P_t, P_uAnti, 895, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 1196, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 1229, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 497, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 1268, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 568, check)
    call createCurrent(P_c, P_dAnti, P_WpMinus, 1082, check)
    call createCurrent(P_d, P_dAnti, P_G0, 804, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 1359, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 118, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 656, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 1264, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 725, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 874, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1587, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 639, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 158, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 745, check)
    call createCurrent(P_WpMinus, P_dAnti, P_c, 1030, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 1413, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 594, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 973, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 53, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WpMinus, 1418, check)
    call createCurrent(P_d, P_WpPlus, P_cAnti, 1031, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 1319, check)
    call createCurrent(P_WpMinus, P_nu_e, P_muPlus, 626, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 1043, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 196, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1513, check)
    call createCurrent(P_c, P_Z, P_cAnti, 438, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1582, check)
    call createCurrent(P_H, P_b, P_bAnti, 1435, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 613, check)
    call createCurrent(P_WpMinus, P_g, P_WPlus, P_g, 1637, check)
    call createCurrent(P_WMinus, P_u, P_sAnti, 1119, check)
    call createCurrent(P_g, P_g, 1507, check)
    call createCurrent(P_Z, P_Z, P_H, 1430, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 1093, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 683, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 841, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 685, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 643, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 698, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 604, check)
    call createCurrent(P_Zp, P_muMinus, P_ePlus, 47, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 729, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 852, check)
    call createCurrent(P_Zp, P_muPlus, P_muMinus, 766, check)
    call createCurrent(P_u, P_uAnti, P_g, 1429, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1548, check)
    call createCurrent(P_nu_tauAnti, P_eMinus, P_WpPlus, 1278, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 211, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 1123, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 1391, check)
    call createCurrent(P_tauPlus, P_muMinus, P_Zp, 822, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 1292, check)
    call createCurrent(P_g, P_g, P_Zp, P_Z, 1567, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 1365, check)
    call createCurrent(P_u, P_g, P_uAnti, 1289, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 628, check)
    call createCurrent(P_tAnti, P_u, P_Zp, 390, check)
    call createCurrent(P_dAnti, P_c, P_GMinus, 825, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 1384, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_muAnti, 1273, check)
    call createCurrent(P_H, P_s, P_sAnti, 1112, check)
    call createCurrent(P_s, P_tAnti, P_WpPlus, 1241, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 984, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 433, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 153, check)
    call createCurrent(P_Zp, P_bAnti, P_s, 796, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1613, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 378, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_eAnti, 679, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 4, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 505, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 1116, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 1405, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 653, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 115, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 308, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 1183, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_tauPlus, 1297, check)
    call createCurrent(P_d, P_G0, P_sAnti, 342, check)
    call createCurrent(P_t, P_tAnti, P_A, 876, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 1425, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 945, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 930, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 981, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 599, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 1318, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1540, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 277, check)
    call createCurrent(P_t, P_tAnti, P_G0, 1433, check)
    call createCurrent(P_dAnti, P_WpMinus, P_t, 1341, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 543, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 701, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 484, check)
    call createCurrent(P_Zp, P_muMinus, P_muPlus, 622, check)
    call createCurrent(P_g, P_Zp, P_g, P_Z, 1633, check)
    call createCurrent(P_cAnti, P_s, P_WpPlus, 313, check)
    call createCurrent(P_nu_mu, P_ePlus, P_WpMinus, 536, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 1308, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 339, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 40, check)
    call createCurrent(P_GPlus, P_cAnti, P_d, 1485, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 830, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 1039, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 857, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 682, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 526, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 80, check)
    call createCurrent(P_ePlus, P_Zp, P_tauMinus, 494, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 1385, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 102, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1629, check)
    call createCurrent(P_s, P_A, P_sAnti, 455, check)
    call createCurrent(P_s, P_WpPlus, P_tAnti, 39, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 1272, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 1045, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_eMinus, 440, check)
    call createCurrent(P_G0, P_H, P_Z, 98, check)
    call createCurrent(P_d, P_cAnti, P_WpPlus, 74, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 13, check)
    call createCurrent(P_GMinus, P_dAnti, P_c, 1461, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 375, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 764, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1571, check)
    call createCurrent(P_cAnti, P_A, P_c, 1290, check)
    call createCurrent(P_g, P_g, P_H, 1674, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 1440, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 248, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 1340, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 424, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 563, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 48, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 87, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 374, check)
    call createCurrent(P_muMinus, P_muPlus, 1533, check)
    call createCurrent(P_uAnti, P_Zp, P_c, 1220, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 125, check)
    call createCurrent(P_bAnti, P_b, P_G0, 316, check)
    call createCurrent(P_g, P_g, P_WpPlus, P_WpMinus, 1621, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1673, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 62, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 931, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 1239, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 967, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 464, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 607, check)
    call createCurrent(P_sAnti, P_u, P_GMinus, 734, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 703, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 139, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 21, check)
    call createCurrent(P_b, P_bAnti, P_G0, 1132, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 1248, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 1017, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 274, check)
    call createCurrent(P_sAnti, P_t, P_WpMinus, 1062, check)
    call createCurrent(P_H, P_sAnti, P_s, 1110, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 476, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 1074, check)
    call createCurrent(P_WpMinus, P_sAnti, P_u, 624, check)
    call createCurrent(P_Zp, P_uAnti, P_c, 268, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 215, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 165, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_tauPlus, 588, check)
    call createCurrent(P_u, P_tAnti, P_Zp, 1443, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 1057, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 1122, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 1387, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 1000, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 574, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_mu, 385, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 454, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1514, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 1211, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 251, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 483, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 219, check)
    call createCurrent(P_G0, P_Z, 1530, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 770, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1547, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 317, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1654, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 425, check)
    call createCurrent(P_WPlus, P_uAnti, P_s, 223, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 17, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 91, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 1376, check)
    call createCurrent(P_G0, P_bAnti, P_b, 353, check)
    call createCurrent(P_uAnti, P_b, P_WpPlus, 1218, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 1114, check)
    call createCurrent(P_sAnti, P_WpMinus, P_c, 330, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 201, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 162, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 2, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WpPlus, 1404, check)
    call createCurrent(P_Zp, P_muPlus, P_eMinus, 1046, check)
    call createCurrent(P_nu_muAnti, P_tauMinus, P_WpPlus, 117, check)
    call createCurrent(P_t, P_WpMinus, P_dAnti, 1286, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 168, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 1427, check)
    call createCurrent(P_uAnti, P_s, P_GPlus, 892, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 1068, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 1009, check)
    call createCurrent(P_c, P_WpMinus, P_sAnti, 432, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1585, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 758, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1501, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 784, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 382, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1592, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_eMinus, 393, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 427, check)
    call createCurrent(P_g, P_g, P_Zp, P_A, 1667, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 1186, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 1040, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 658, check)
    call createCurrent(P_Z, P_u, P_uAnti, 532, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1617, check)
    call createCurrent(P_Zp, P_g, P_Zp, P_g, 1559, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 697, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 1047, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 554, check)
    call createCurrent(P_u, P_sAnti, P_GMinus, 239, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_tauMinus, 581, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 549, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 1353, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 238, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 610, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1622, check)
    call createCurrent(P_bAnti, P_t, P_WpMinus, 702, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 1228, check)
    call createCurrent(P_uAnti, P_A, P_u, 1342, check)
    call createCurrent(P_g, P_g, P_Zp, P_Zp, 1602, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 641, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 1474, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 448, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 534, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1643, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 208, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 1191, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 515, check)
    call createCurrent(P_u, P_dAnti, P_WpMinus, 777, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 1150, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 926, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_eAnti, 324, check)
    call createCurrent(P_d, P_sAnti, P_G0, 816, check)
    call createCurrent(P_nu_muAnti, P_eMinus, P_WpPlus, 1088, check)
    call createCurrent(P_H, P_g, P_g, 1641, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 1339, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1503, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 419, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 606, check)
    call createCurrent(P_b, P_Z, P_bAnti, 878, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 498, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 442, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 823, check)
    call createCurrent(P_g, P_WpPlus, P_g, P_WMinus, 1584, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 837, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 29, check)
    call createCurrent(P_Zp, P_c, P_tAnti, 915, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 389, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 401, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 1350, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 1334, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WpPlus, 1579, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 1276, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 1411, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 123, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 506, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_tau, 710, check)
    call createCurrent(P_G0, P_b, P_bAnti, 844, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1610, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_e, 530, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 477, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 551, check)
    call createCurrent(P_muMinus, P_nu_eAnti, P_WpPlus, 631, check)
    call createCurrent(P_u, P_uAnti, P_Zp, 1104, check)
    call createCurrent(P_s, P_bAnti, P_Zp, 1328, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 1478, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 264, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1554, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 839, check)
    call createCurrent(P_G0, P_dAnti, P_s, 629, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 1153, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 307, check)
    call createCurrent(P_c, P_cAnti, P_H, 466, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 1481, check)
    call createCurrent(P_H, P_H, P_H, P_H, 285, check)
    call createCurrent(P_g, P_g, P_Zp, 1541, check)
    call createCurrent(P_Zp, P_s, P_dAnti, 275, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 1029, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 1293, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 1409, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 1225, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 974, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 840, check)
    call createCurrent(P_c, P_WMinus, P_dAnti, 225, check)
    call createCurrent(P_Zp, P_g, P_g, 1658, check)
    call createCurrent(P_nu_e, P_tauPlus, P_WpMinus, 732, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 372, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 1371, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 164, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 721, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 678, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 65, check)
    call createCurrent(P_eMinus, P_ePlus, 1520, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1495, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 759, check)
    call createCurrent(P_dAnti, P_d, P_H, 897, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_e, 598, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 496, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 584, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 8, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 1156, check)
    call createCurrent(P_d, P_Zp, P_sAnti, 310, check)
    call createCurrent(P_tauMinus, P_ePlus, P_Zp, 946, check)
    call createCurrent(P_eMinus, P_Zp, P_ePlus, 1117, check)
    call createCurrent(P_tauPlus, P_Zp, P_muMinus, 1349, check)
    call createCurrent(P_Z, P_H, P_Z, 1231, check)
    call createCurrent(P_A, P_tAnti, P_t, 1223, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_tauPlus, 724, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_tauAnti, 459, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 1483, check)
    call createCurrent(P_nu_e, P_muPlus, P_WpMinus, 271, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 548, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 958, check)
    call createCurrent(P_Z, P_d, P_dAnti, 203, check)
    call createCurrent(P_g, P_A, P_Zp, P_g, 1576, check)
    call createCurrent(P_s, P_Zp, P_bAnti, 1180, check)
    call createCurrent(P_tAnti, P_t, P_Zp, 692, check)
    call createCurrent(P_g, P_g, P_WpMinus, P_WpPlus, 1556, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 1175, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 404, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 879, check)
    call createCurrent(P_WpMinus, P_c, P_sAnti, 255, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 1004, check)
    call createCurrent(P_g, P_c, P_cAnti, 1454, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 142, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 391, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 975, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 1042, check)
    call createCurrent(P_bAnti, P_s, P_Zp, 244, check)
    call createCurrent(P_dAnti, P_G0, P_s, 1215, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 1415, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 645, check)
    call createCurrent(P_sAnti, P_d, P_G0, 1312, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 590, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 968, check)
    call createCurrent(P_Zp, P_c, P_uAnti, 1369, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 773, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 1475, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 808, check)
    call createCurrent(P_WMinus, P_GPlus, 1511, check)
    call createCurrent(P_Zp, P_u, P_cAnti, 261, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 920, check)
    call createCurrent(P_g, P_sAnti, P_s, 1006, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 1181, check)
    call createCurrent(P_GMinus, P_WPlus, 1506, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 284, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WpPlus, 848, check)
    call createCurrent(P_A, P_t, P_tAnti, 1446, check)
    call createCurrent(P_sAnti, P_GMinus, P_u, 347, check)
    call createCurrent(P_b, P_G0, P_bAnti, 1351, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 1354, check)
    call createCurrent(P_GPlus, P_s, P_uAnti, 768, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 33, check)
    call createCurrent(P_Z, P_s, P_sAnti, 499, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 1026, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 43, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 722, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 521, check)
    call createCurrent(P_sAnti, P_s, P_g, 414, check)
    call createCurrent(P_WPlus, P_GMinus, 1529, check)
    call createCurrent(P_WpMinus, P_WPlus, P_g, P_g, 1568, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1594, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 990, check)
    call createCurrent(P_cAnti, P_Zp, P_u, 1335, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 418, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_muMinus, 1265, check)
    call createCurrent(P_tAnti, P_t, P_g, 1470, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 50, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 1269, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_tauMinus, 37, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 1329, check)
    call createCurrent(P_s, P_WPlus, P_uAnti, 972, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 508, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 1160, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 591, check)
    call createCurrent(P_g, P_Z, P_g, P_Zp, 1574, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 1373, check)
    call createCurrent(P_H, P_bAnti, P_b, 1331, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 625, check)
    call createCurrent(P_t, P_WpMinus, P_sAnti, 885, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 995, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 910, check)
    call createCurrent(P_uAnti, P_u, P_Z, 999, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 846, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 1227, check)
    call createCurrent(P_tAnti, P_b, P_WpPlus, 270, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 486, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 525, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 513, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 611, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 67, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 1224, check)
    call createCurrent(P_WpPlus, P_cAnti, P_d, 686, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 1141, check)
    call createCurrent(P_sAnti, P_s, P_Zp, 842, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 783, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 1233, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 28, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 853, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 205, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 749, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1577, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 90, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 75, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 835, check)
    call createCurrent(P_A, P_bAnti, P_b, 51, check)
    call createCurrent(P_g, P_WpPlus, P_WpMinus, P_g, 1651, check)
    call createCurrent(P_ePlus, P_eMinus, 1510, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 786, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 921, check)
    call createCurrent(P_Zp, P_g, P_Z, P_g, 1653, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1605, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_mu, 1210, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_mu, 1032, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 92, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 394, check)
    call createCurrent(P_uAnti, P_GPlus, P_s, 937, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 1366, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 237, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 893, check)
    call createCurrent(P_dAnti, P_d, P_Zp, 762, check)
    call createCurrent(P_WPlus, P_s, P_uAnti, 1098, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1634, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 904, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 335, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 877, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 1277, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 1375, check)
    call createCurrent(P_Zp, P_t, P_cAnti, 319, check)
    call createCurrent(P_sAnti, P_g, P_s, 1434, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 1205, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1524, check)
    call createCurrent(P_WpMinus, P_t, P_dAnti, 133, check)
    call createCurrent(P_G0, P_s, P_sAnti, 10, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 1034, check)
    call createCurrent(P_Z, P_H, P_G0, 68, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 85, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1516, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 341, check)
    call createCurrent(P_WpMinus, P_sAnti, P_c, 869, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 712, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1562, check)
    call createCurrent(P_tAnti, P_t, P_G0, 1282, check)
    call createCurrent(P_WpMinus, P_g, P_g, P_WPlus, 1538, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 662, check)
    call createCurrent(P_Zp, P_u, P_tAnti, 312, check)
    call createCurrent(P_s, P_G0, P_sAnti, 31, check)
    call createCurrent(P_cAnti, P_d, P_WPlus, 562, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WpMinus, 1544, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 571, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 913, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 1193, check)
    call createCurrent(P_tAnti, P_t, P_H, 898, check)
    call createCurrent(P_Zp, P_tAnti, P_c, 1450, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 914, check)
    call createCurrent(P_tauPlus, P_eMinus, P_Zp, 669, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 332, check)
    call createCurrent(P_d, P_A, P_dAnti, 760, check)
    call createCurrent(P_c, P_uAnti, P_Zp, 1256, check)
    call createCurrent(P_Zp, P_tAnti, P_t, 1036, check)
    call createCurrent(P_d, P_sAnti, P_Zp, 1393, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 1348, check)
    call createCurrent(P_Zp, P_cAnti, P_c, 329, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 1094, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 782, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 233, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 992, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 1050, check)
    call createCurrent(P_tAnti, P_A, P_t, 886, check)
    call createCurrent(P_A, P_g, P_g, P_Zp, 1590, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 1149, check)
    call createCurrent(P_u, P_Z, P_uAnti, 1059, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1565, check)
    call createCurrent(P_s, P_sAnti, P_A, 1401, check)
    call createCurrent(P_t, P_tAnti, P_g, 430, check)
    call createCurrent(P_uAnti, P_s, P_WPlus, 1164, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 256, check)
    call createCurrent(P_bAnti, P_d, P_Zp, 240, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 954, check)
    call createCurrent(P_Z, P_bAnti, P_b, 861, check)
    call createCurrent(P_sAnti, P_c, P_WpMinus, 843, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 691, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 182, check)
    call createCurrent(P_g, P_WMinus, P_WpPlus, P_g, 1549, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 738, check)
    call createCurrent(P_Z, P_dAnti, P_d, 616, check)
    call createCurrent(P_b, P_cAnti, P_WpPlus, 1128, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 171, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_muMinus, 1389, check)
    call createCurrent(P_A, P_c, P_cAnti, 925, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 1398, check)
    call createCurrent(P_A, P_uAnti, P_u, 1207, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 1322, check)
    call createCurrent(P_Zp, P_cAnti, P_u, 576, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_eMinus, 406, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 259, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1639, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_eAnti, 787, check)
    call createCurrent(P_b, P_A, P_bAnti, 210, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 384, check)
    call createCurrent(P_g, P_Z, P_Zp, P_g, 1627, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WpPlus, 1642, check)
    call createCurrent(P_s, P_g, P_sAnti, 138, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 1469, check)
    call createCurrent(P_u, P_sAnti, P_WMinus, 14, check)
    call createCurrent(P_uAnti, P_Zp, P_u, 1199, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 172, check)
    call createCurrent(P_WpMinus, P_bAnti, P_t, 1476, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1606, check)
    call createCurrent(P_d, P_uAnti, P_WpPlus, 950, check)
    call createCurrent(P_Zp, P_dAnti, P_s, 1251, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 166, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 129, check)
    call createCurrent(P_d, P_bAnti, P_Zp, 23, check)
    call createCurrent(P_dAnti, P_d, 1509, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 1374, check)
    call createCurrent(P_s, P_sAnti, P_Z, 16, check)
    call createCurrent(P_g, P_H, P_g, 1631, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 1041, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 303, check)
    call createCurrent(P_sAnti, P_Zp, P_b, 5, check)
    call createCurrent(P_g, P_d, P_dAnti, 1285, check)
    call createCurrent(P_cAnti, P_g, P_c, 1178, check)
    call createCurrent(P_A, P_cAnti, P_c, 1109, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 398, check)
    call createCurrent(P_WpPlus, P_g, P_g, P_WpMinus, 1659, check)
    call createCurrent(P_g, P_tAnti, P_t, 1238, check)
    call createCurrent(P_s, P_dAnti, P_Zp, 644, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 131, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 1419, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 351, check)
    call createCurrent(P_g, P_g, P_g, P_Zp, 1570, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 296, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 447, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 144, check)
    call createCurrent(P_t, P_g, P_tAnti, 849, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 512, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 996, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 434, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 1121, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_muPlus, 812, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 11, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 400, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 323, check)
    call createCurrent(P_WMinus, P_WpPlus, P_g, P_g, 1679, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 407, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_ePlus, 135, check)
    call createCurrent(P_G0, P_u, P_uAnti, 634, check)
    call createCurrent(P_muPlus, P_muMinus, 1502, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 707, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 1459, check)
    call createCurrent(P_uAnti, P_c, P_Zp, 676, check)
    call createCurrent(P_b, P_dAnti, P_Zp, 190, check)
    call createCurrent(P_uAnti, P_G0, P_u, 89, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 579, check)
    call createCurrent(P_dAnti, P_d, P_Z, 673, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 1274, check)
    call createCurrent(P_Zp, P_ePlus, P_muMinus, 180, check)
    call createCurrent(P_sAnti, P_d, P_Zp, 209, check)
    call createCurrent(P_nu_mu, P_tauPlus, P_WpMinus, 26, check)
    call createCurrent(P_bAnti, P_b, P_Zp, 1075, check)
    call createCurrent(P_muMinus, P_Zp, P_ePlus, 1281, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 101, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_eAnti, 617, check)
    call createCurrent(P_c, P_WpMinus, P_bAnti, 1431, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 1130, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1676, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_tauAnti, 333, check)
    call createCurrent(P_Z, P_b, P_bAnti, 575, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 552, check)
    call createCurrent(P_t, P_tAnti, P_H, 917, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 280, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 1226, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_eMinus, 73, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 281, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 970, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 923, check)
    call createCurrent(P_g, P_u, P_uAnti, 1157, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 523, check)
    call createCurrent(P_tAnti, P_WpPlus, P_s, 799, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 1071, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_tauAnti, 1069, check)
    call createCurrent(P_Zp, P_Zp, 1523, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 539, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 855, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 1442, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 1144, check)
    call createCurrent(P_sAnti, P_s, P_A, 379, check)
    call createCurrent(P_tAnti, P_d, P_WpPlus, 257, check)
    call createCurrent(P_muPlus, P_tauMinus, P_Zp, 154, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 69, check)
    call createCurrent(P_WpPlus, P_tAnti, P_b, 600, check)
    call createCurrent(P_WpPlus, P_uAnti, P_s, 388, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 940, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1337, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 355, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 794, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 1498, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 474, check)
    call createCurrent(P_Zp, P_Z, P_g, P_g, 1640, check)
    call createCurrent(P_s, P_dAnti, P_H, 439, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 338, check)
    call createCurrent(P_b, P_uAnti, P_WpPlus, 772, check)
    call createCurrent(P_cAnti, P_c, P_g, 1432, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 1201, check)
    call createCurrent(P_Zp, P_eMinus, P_muPlus, 776, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 1438, check)
    call createCurrent(P_GMinus, P_sAnti, P_u, 687, check)
    call createCurrent(P_Zp, P_ePlus, P_eMinus, 802, check)
    call createCurrent(P_u, P_GMinus, P_sAnti, 1361, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1589, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 70, check)
    call createCurrent(P_A, P_sAnti, P_s, 236, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WpMinus, 250, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 1262, check)
    call createCurrent(P_d, P_WpPlus, P_uAnti, 986, check)
    call createCurrent(P_sAnti, P_u, P_WpMinus, 752, check)
    call createCurrent(P_d, P_dAnti, P_Z, 1283, check)
    call createCurrent(P_Zp, P_tauPlus, P_tauMinus, 1484, check)
    call createCurrent(P_nu_e, P_WpMinus, P_tauPlus, 306, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_tau, 807, check)
    call createCurrent(P_dAnti, P_H, P_d, 1444, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 863, check)
    call createCurrent(P_tAnti, P_H, P_t, 1323, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 1126, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 453, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 1001, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1593, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_e, 369, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 222, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 327, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 939, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 193, check)
    call createCurrent(P_WpMinus, P_WpPlus, 1534, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 1216, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 1466, check)
    call createCurrent(P_cAnti, P_u, P_Zp, 726, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 107, check)
    call createCurrent(P_sAnti, P_G0, P_s, 128, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 1368, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1345, check)
    call createCurrent(P_cAnti, P_t, P_Zp, 421, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 1491, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 331, check)
    call createCurrent(P_b, P_Zp, P_sAnti, 1232, check)
    call createCurrent(P_b, P_WpPlus, P_tAnti, 868, check)
    call createCurrent(P_GMinus, P_c, P_dAnti, 12, check)
    call createCurrent(P_b, P_bAnti, P_A, 157, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 1010, check)
    call createCurrent(P_c, P_bAnti, P_WpMinus, 630, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 845, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 446, check)
    call createCurrent(P_g, P_g, P_g, P_g, 1209, check)
    call createCurrent(P_dAnti, P_WpMinus, P_c, 1380, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 276, check)
    call createCurrent(P_WpMinus, P_u, P_dAnti, 1095, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 597, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 479, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1669, check)
    call createCurrent(P_WpPlus, P_b, P_cAnti, 788, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 299, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 516, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 66, check)
    call createCurrent(P_WPlus, P_cAnti, P_d, 674, check)
    call createCurrent(P_WpMinus, P_t, P_bAnti, 1364, check)
    call createCurrent(P_H, P_d, P_dAnti, 396, check)
    call createCurrent(P_Zp, P_dAnti, P_b, 112, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 632, check)
    call createCurrent(P_Zp, P_u, P_uAnti, 742, check)
    call createCurrent(P_tAnti, P_WpPlus, P_b, 1304, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 377, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_tauMinus, 321, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 818, check)
    call createCurrent(P_dAnti, P_Zp, P_s, 412, check)
    call createCurrent(P_dAnti, P_c, P_WpMinus, 828, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 833, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 911, check)
    call createCurrent(P_bAnti, P_c, P_WpMinus, 573, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 1230, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 380, check)
    call createCurrent(P_bAnti, P_A, P_b, 22, check)
    call createCurrent(P_bAnti, P_Zp, P_s, 291, check)
    call createCurrent(P_G0, P_t, P_tAnti, 988, check)
    call createCurrent(P_cAnti, P_c, P_G0, 1487, check)
    call createCurrent(P_WPlus, P_d, P_cAnti, 314, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 529, check)
    call createCurrent(P_bAnti, P_g, P_b, 580, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 1263, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 1447, check)
    call createCurrent(P_muPlus, P_Zp, P_muMinus, 589, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 971, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 470, check)
    call createCurrent(P_Zp, P_cAnti, P_t, 750, check)
    call createCurrent(P_Zp, P_tauPlus, P_eMinus, 771, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 1240, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 748, check)
    call createCurrent(P_tauPlus, P_nu_mu, P_WpMinus, 1280, check)
    call createCurrent(P_g, P_uAnti, P_u, 1395, check)
    call createCurrent(P_dAnti, P_s, P_H, 829, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 471, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 696, check)
    call createCurrent(P_Zp, P_ePlus, P_tauMinus, 657, check)
    call createCurrent(P_WpMinus, P_bAnti, P_u, 1377, check)
    call createCurrent(P_Z, P_Zp, P_g, P_g, 1625, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 593, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 896, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_mu, 866, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 540, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 170, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 1465, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 1400, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 811, check)
    call createCurrent(P_sAnti, P_s, P_Z, 1078, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 821, check)
    call createCurrent(P_g, P_Zp, P_Zp, P_g, 1575, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1638, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 820, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_eMinus, 183, check)
    call createCurrent(P_dAnti, P_GMinus, P_c, 642, check)
    call createCurrent(P_c, P_tAnti, P_Zp, 27, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 743, check)
    call createCurrent(P_Zp, P_b, P_bAnti, 266, check)
    call createCurrent(P_Zp, P_Zp, P_g, P_g, 1586, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 1072, check)
    call createCurrent(P_Z, P_cAnti, P_c, 763, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 305, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 824, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 462, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_muPlus, 24, check)
    call createCurrent(P_cAnti, P_H, P_c, 859, check)
    call createCurrent(P_H, P_H, 1527, check)
    call createCurrent(P_G0, P_G0, P_H, 1, check)
    call createCurrent(P_WpMinus, P_WpPlus, P_g, P_g, 1607, check)
    call createCurrent(P_bAnti, P_Zp, P_b, 1456, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 1055, check)
    call createCurrent(P_cAnti, P_c, P_A, 1060, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_ePlus, 465, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_muMinus, 1054, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 490, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 309, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_tauMinus, 1165, check)
    call createCurrent(P_t, P_tAnti, P_Zp, 1332, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 953, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 793, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 1170, check)
    call createCurrent(P_t, P_Zp, P_cAnti, 603, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 1267, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 216, check)
    call createCurrent(P_WpPlus, P_g, P_WMinus, P_g, 1671, check)
    call createCurrent(P_g, P_WpMinus, P_WpPlus, P_g, 1649, check)
    call createCurrent(P_t, P_dAnti, P_WpMinus, 1084, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 899, check)
    call createCurrent(P_Z, P_G0, P_H, 614, check)
    call createCurrent(P_tAnti, P_G0, P_t, 426, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 1113, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 1127, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 1490, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 1106, check)
    call createCurrent(P_tAnti, P_Z, P_t, 753, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 545, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 1261, check)
    call createCurrent(P_d, P_dAnti, P_H, 717, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 501, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 570, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 623, check)
    call createCurrent(P_WpMinus, P_u, P_bAnti, 161, check)
    call createCurrent(P_cAnti, P_WpPlus, P_b, 20, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 1173, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 1326, check)
    call createCurrent(P_d, P_WPlus, P_cAnti, 649, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 1182, check)
    call createCurrent(P_g, P_Zp, P_Z, P_g, 1603, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 86, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 1076, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 705, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_tau, 864, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1678, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 1310, check)
    call createCurrent(P_s, P_H, P_dAnti, 345, check)
    call createCurrent(P_sAnti, P_Z, P_s, 1321, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 1399, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1652, check)
    call createCurrent(P_WpPlus, P_b, P_uAnti, 735, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 140, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1663, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 1145, check)
    call createCurrent(P_Zp, P_d, P_dAnti, 1038, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 1222, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1159, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 152, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 1451, check)
    call createCurrent(P_muMinus, P_Zp, P_tauPlus, 524, check)
    call createCurrent(P_GPlus, P_WMinus, 1508, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 1243, check)
    call createCurrent(P_Z, P_tAnti, P_t, 1146, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_muAnti, 1024, check)
    call createCurrent(P_b, P_tAnti, P_WpPlus, 1245, check)
    call createCurrent(P_bAnti, P_WpMinus, P_t, 122, check)
    call createCurrent(P_ePlus, P_nu_tau, P_WpMinus, 826, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 186, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 1027, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 304, check)
    call createCurrent(P_ePlus, P_Zp, P_eMinus, 880, check)
    call createCurrent(P_s, P_sAnti, 1505, check)
    call createCurrent(P_t, P_Zp, P_uAnti, 1064, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WpMinus, 1666, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 293, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 736, check)
    call createCurrent(P_WpPlus, P_b, P_tAnti, 1013, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 882, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 924, check)
    call createCurrent(P_s, P_cAnti, P_WpPlus, 357, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1657, check)
    call createCurrent(P_dAnti, P_s, P_G0, 790, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 1347, check)
    call createCurrent(P_g, P_Zp, P_g, P_Zp, 1569, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 54, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 1020, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 254, check)
    call createCurrent(P_eMinus, P_tauPlus, P_Zp, 1035, check)
    call createCurrent(P_Zp, P_t, P_tAnti, 34, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1661, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 860, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 1358, check)
    call createCurrent(P_muPlus, P_muMinus, P_Zp, 1346, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 847, check)
    call createCurrent(P_g, P_WpMinus, P_g, P_WPlus, 1672, check)
    call createCurrent(P_dAnti, P_WMinus, P_c, 775, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 160, check)
    call createCurrent(P_Zp, P_d, P_sAnti, 731, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 1372, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_mu, 699, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 1259, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 1092, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 386, check)
    call createCurrent(P_H, P_u, P_uAnti, 969, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 187, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 1019, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 156, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 1134, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 1136, check)
    call createCurrent(P_WpPlus, P_cAnti, P_s, 1200, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 221, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 1140, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 561, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 1436, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 1307, check)
    call createCurrent(P_c, P_Zp, P_cAnti, 444, check)
    call createCurrent(P_g, P_bAnti, P_b, 373, check)
    call createCurrent(P_sAnti, P_Zp, P_s, 109, check)
    call createCurrent(P_dAnti, P_Zp, P_d, 1174, check)
    call createCurrent(P_GPlus, P_d, P_cAnti, 1101, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 730, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 121, check)
    call createCurrent(P_sAnti, P_u, P_WMinus, 392, check)
    call createCurrent(P_uAnti, P_t, P_Zp, 803, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 587, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 460, check)
    call createCurrent(P_tAnti, P_WpPlus, P_d, 337, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 235, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 279, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 537, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 451, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 792, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 684, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 340, check)
    call createCurrent(P_bAnti, P_b, P_A, 1168, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 918, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 586, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 173, check)
    call createCurrent(P_WpPlus, P_d, P_tAnti, 514, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 719, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 884, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 1472, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 18, check)
    call createCurrent(P_nu_e, P_WpMinus, P_ePlus, 267, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 146, check)
    call createCurrent(P_u, P_sAnti, P_WpMinus, 1242, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 346, check)
    call createCurrent(P_cAnti, P_Zp, P_c, 907, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 493, check)
    call createCurrent(P_WpPlus, P_g, P_g, P_WMinus, 1546, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 957, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 677, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 348, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_ePlus, 1336, check)
    call createCurrent(P_b, P_bAnti, 1522, check)
    call createCurrent(P_c, P_dAnti, P_WMinus, 262, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 814, check)
    call createCurrent(P_Z, P_G0, 1531, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 737, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 100, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 503, check)
    call createCurrent(P_uAnti, P_g, P_u, 1314, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 1213, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 875, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1539, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 246, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 633, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1553, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 605, check)
    call createCurrent(P_b, P_H, P_bAnti, 511, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_muMinus, 510, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 1097, check)
    call createCurrent(P_g, P_g, P_Zp, P_g, 1636, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 1023, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 15, check)
    call createCurrent(P_nu_tau, P_ePlus, P_WpMinus, 1185, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 1382, check)
    call createCurrent(P_dAnti, P_d, P_G0, 495, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 191, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 1306, check)
    call createCurrent(P_c, P_G0, P_cAnti, 409, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 263, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 1108, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 301, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 93, check)
    call createCurrent(P_G0, P_d, P_sAnti, 654, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1596, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 108, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WpPlus, 290, check)
    call createCurrent(P_H, P_G0, P_G0, 754, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 660, check)
    call createCurrent(P_WMinus, P_c, P_dAnti, 1453, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1609, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 714, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1612, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 1316, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 282, check)
    call createCurrent(P_g, P_Zp, P_g, P_A, 1563, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 1420, check)
    call createCurrent(P_bAnti, P_b, P_H, 247, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1572, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 809, check)
    call createCurrent(P_A, P_dAnti, P_d, 272, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 420, check)
    call createCurrent(P_WMinus, P_g, P_WpPlus, P_g, 1620, check)
    call createCurrent(P_sAnti, P_s, 1515, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 1298, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 781, check)
    call createCurrent(P_s, P_Zp, P_dAnti, 681, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 601, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 1105, check)
    call createCurrent(P_tAnti, P_t, 1526, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 49, check)
    call createCurrent(P_muMinus, P_nu_tauAnti, P_WpPlus, 522, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 1111, check)
    call createCurrent(P_u, P_uAnti, P_G0, 520, check)
    call createCurrent(P_bAnti, P_WpMinus, P_c, 1422, check)
    call createCurrent(P_H, P_tAnti, P_t, 527, check)
    call createCurrent(P_t, P_G0, P_tAnti, 437, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WpPlus, 836, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 143, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 1089, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 888, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 987, check)
    call createCurrent(P_WpPlus, P_tAnti, P_d, 226, check)
    call createCurrent(P_WpMinus, P_g, P_g, P_WpPlus, 1578, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 189, check)
    call createCurrent(P_cAnti, P_b, P_WpPlus, 1352, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 1037, check)
    call createCurrent(P_t, P_H, P_tAnti, 1338, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 1187, check)
    call createCurrent(P_tauMinus, P_nu_eAnti, P_WpPlus, 592, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WpMinus, 1597, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 1255, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 413, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 422, check)
    call createCurrent(P_bAnti, P_WpMinus, P_u, 199, check)
    call createCurrent(P_muMinus, P_ePlus, P_Zp, 352, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 856, check)
    call createCurrent(P_WPlus, P_WpMinus, P_g, P_g, 1564, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 528, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 1189, check)
    call createCurrent(P_ePlus, P_eMinus, P_Zp, 1102, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 778, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 228, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 755, check)
    call createCurrent(P_s, P_G0, P_dAnti, 1324, check)
    call createCurrent(P_t, P_uAnti, P_Zp, 326, check)
    call createCurrent(P_H, P_uAnti, P_u, 19, check)
    call createCurrent(P_u, P_A, P_uAnti, 1270, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 283, check)
    call createCurrent(P_uAnti, P_WpPlus, P_b, 756, check)
    call createCurrent(P_A, P_u, P_uAnti, 704, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 169, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 546, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 815, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 1208, check)
    call createCurrent(P_WpPlus, P_WpMinus, 1512, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 1171, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 1362, check)
    call createCurrent(P_s, P_uAnti, P_WpPlus, 1194, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 619, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 690, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 328, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 1424, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 928, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 1448, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 670, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 1291, check)
    call createCurrent(P_g, P_Zp, P_A, P_g, 1624, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 1462, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 1049, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 667, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 720, check)
    call createCurrent(P_b, P_Zp, P_dAnti, 1058, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 1482, check)
    call createCurrent(P_dAnti, P_s, P_Zp, 827, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 932, check)
    call createCurrent(P_muPlus, P_eMinus, P_Zp, 1100, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 97, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_tauMinus, 7, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 405, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 559, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 320, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 671, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 851, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 292, check)
    call createCurrent(P_WpMinus, P_u, P_sAnti, 1133, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 1022, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1555, check)
    call createCurrent(P_Zp, P_g, P_A, P_g, 1551, check)
    call createCurrent(P_WpMinus, P_t, P_sAnti, 1257, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 640, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 728, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1460, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1615, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_ePlus, 550, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 273, check)
    call createCurrent(P_u, P_uAnti, P_H, 1018, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 727, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 1437, check)
    call createCurrent(P_g, P_Zp, P_g, P_g, 1550, check)
    call createCurrent(P_G0, P_s, P_dAnti, 547, check)
    call createCurrent(P_eMinus, P_Zp, P_tauPlus, 1161, check)
    call createCurrent(P_u, P_WMinus, P_sAnti, 188, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 1463, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 602, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1561, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_muAnti, 560, check)
    call createCurrent(P_b, P_bAnti, P_H, 1394, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 1083, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 650, check)
    call createCurrent(P_d, P_dAnti, P_g, 302, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WpPlus, 383, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 1260, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 889, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 415, check)
    call createCurrent(P_b, P_Zp, P_bAnti, 596, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 78, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 132, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 582, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 700, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1601, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1581, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 960, check)
    call createCurrent(P_tAnti, P_Zp, P_u, 1266, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 1147, check)
    call createCurrent(P_u, P_WpMinus, P_sAnti, 1247, check)
    call createCurrent(P_ePlus, P_tauMinus, P_Zp, 126, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 637, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 1284, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 564, check)
    call createCurrent(P_c, P_g, P_cAnti, 1172, check)
    call createCurrent(P_c, P_cAnti, P_Z, 1408, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 1479, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 746, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 1295, check)
    call createCurrent(P_dAnti, P_Z, P_d, 831, check)
    call createCurrent(P_u, P_bAnti, P_WpMinus, 935, check)
    call createCurrent(P_ePlus, P_nu_mu, P_WpMinus, 1357, check)
    call createCurrent(P_Zp, P_eMinus, P_tauPlus, 1457, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 1311, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 1294, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 137, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 260, check)
    call createCurrent(P_uAnti, P_u, P_G0, 1449, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 1154, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 680, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 349, check)
    call createCurrent(P_tauMinus, P_muPlus, P_Zp, 801, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 800, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 410, check)
    call createCurrent(P_d, P_tAnti, P_WpPlus, 485, check)
    call createCurrent(P_dAnti, P_b, P_Zp, 1309, check)
    call createCurrent(P_uAnti, P_H, P_u, 1464, check)
    call createCurrent(P_g, P_WpPlus, P_WMinus, P_g, 1660, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1664, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_muMinus, 1073, check)
    call createCurrent(P_nu_eAnti, P_tauMinus, P_WpPlus, 178, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 468, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1595, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 472, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 58, check)
    call createCurrent(P_Zp, P_bAnti, P_b, 1254, check)
    call createCurrent(P_eMinus, P_Zp, P_muPlus, 862, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 636, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_muPlus, 399, check)
    call createCurrent(P_tauPlus, P_Zp, P_eMinus, 1246, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1668, check)
    call createCurrent(P_g, P_A, P_g, P_Zp, 1566, check)
    call createCurrent(P_tauPlus, P_nu_e, P_WpMinus, 359, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 366, check)
    call createCurrent(P_dAnti, P_u, P_WpMinus, 175, check)
    call createCurrent(P_b, P_bAnti, P_Z, 665, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_muPlus, 819, check)
    call createCurrent(P_Zp, P_uAnti, P_t, 147, check)
    call createCurrent(P_Z, P_Z, 1528, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 761, check)
    call createCurrent(P_b, P_sAnti, P_Zp, 1115, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 949, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 977, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 689, check)
    call createCurrent(P_t, P_bAnti, P_WpMinus, 906, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 1410, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 119, check)
    call createCurrent(P_sAnti, P_Zp, P_d, 360, check)
    call createCurrent(P_nu_tauAnti, P_muMinus, P_WpPlus, 72, check)
    call createCurrent(P_Z, P_sAnti, P_s, 1099, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 1195, check)
    call createCurrent(P_Zp, P_g, P_g, P_Zp, 1618, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 1390, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Zp, 428, check)
    call createCurrent(P_tAnti, P_s, P_WpPlus, 1412, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 952, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 774, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 106, check)
    call createCurrent(P_Zp, P_eMinus, P_ePlus, 206, check)
    call createCurrent(P_t, P_Zp, P_tAnti, 810, check)
    call createCurrent(P_Zp, P_dAnti, P_d, 482, check)
    call createCurrent(P_eMinus, P_nu_muAnti, P_WpPlus, 873, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 286, check)
    call createCurrent(P_s, P_uAnti, P_WPlus, 1051, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 887, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 95, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 1439, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 941, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_tau, 1253, check)
    call createCurrent(P_Zp, P_tauPlus, P_muMinus, 556, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 1091, check)
    call createCurrent(P_u, P_Zp, P_uAnti, 795, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 395, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1545, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 429, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_eAnti, 1044, check)
    call createCurrent(P_c, P_Zp, P_uAnti, 1356, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 1124, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 769, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 1063, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 63, check)
    call createCurrent(P_WpMinus, P_dAnti, P_u, 148, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 252, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 387, check)
    call createCurrent(P_Zp, P_tauMinus, P_muPlus, 1212, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 1138, check)
    call createCurrent(P_WMinus, P_WPlus, 1521, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 1067, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 693, check)
    call createCurrent(P_bAnti, P_H, P_b, 718, check)
    call createCurrent(P_WpPlus, P_d, P_uAnti, 45, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 723, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1543, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 111, check)
    call createCurrent(P_g, P_s, P_sAnti, 1397, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 289, check)
    call createCurrent(P_Zp, P_muPlus, P_tauMinus, 1288, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 134, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 325, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 1300, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 232, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 217, check)
    call createCurrent(P_c, P_A, P_cAnti, 1379, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 1426, check)
    call createCurrent(P_Zp, P_b, P_sAnti, 961, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 583, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 450, check)
    call createCurrent(P_Z, P_g, P_Zp, P_g, 1656, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Zp, 1179, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 127, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 612, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_mu, 838, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 179, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1077, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 785, check)
    call createCurrent(P_Zp, P_c, P_cAnti, 423, check)
    call createCurrent(P_cAnti, P_WPlus, P_d, 648, check)
    call createCurrent(P_bAnti, P_b, 1519, check)
    call createCurrent(P_g, P_g, P_g, 558, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 1492, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 212, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_muAnti, 1455, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1619, check)
    call createCurrent(P_muPlus, P_nu_e, P_WpMinus, 566, check)
    call createCurrent(P_t, P_tAnti, P_Z, 708, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 933, check)
    call createCurrent(P_nu_tau, P_muPlus, P_WpMinus, 993, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 478, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 1033, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 1244, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 198, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 1152, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 504, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 1360, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1542, check)
    call createCurrent(P_bAnti, P_u, P_WpMinus, 435, check)
    call createCurrent(P_ePlus, P_Zp, P_muMinus, 1496, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 60, check)
    call createCurrent(P_WpMinus, P_g, P_WpPlus, P_g, 1588, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 114, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 553, check)
    call createCurrent(P_u, P_WpMinus, P_bAnti, 64, check)
    call createCurrent(P_g, P_g, P_A, P_Zp, 1644, check)
    call createCurrent(P_WpPlus, P_s, P_uAnti, 982, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_tauMinus, 71, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 1488, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 638, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 61, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 903, check)
    call createCurrent(P_s, P_sAnti, P_G0, 76, check)
    call createCurrent(P_dAnti, P_H, P_s, 318, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1608, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 0, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 978, check)
    call createCurrent(P_u, P_WpMinus, P_dAnti, 315, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 1315, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 894, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 1066, check)
    call createCurrent(P_sAnti, P_H, P_d, 362, check)
    call createCurrent(P_u, P_H, P_uAnti, 1025, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 741, check)
    call createCurrent(P_Z, P_t, P_tAnti, 943, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 963, check)
    call createCurrent(P_ePlus, P_muMinus, P_Zp, 231, check)
    call createCurrent(P_Z, P_c, P_cAnti, 1489, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 229, check)
    call createCurrent(P_tAnti, P_c, P_Zp, 964, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 1381, check)
    call createCurrent(P_sAnti, P_G0, P_d, 883, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 779, check)
    call createCurrent(P_b, P_g, P_bAnti, 1367, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 655, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 141, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 192, check)
    call createCurrent(P_muMinus, P_Zp, P_muPlus, 659, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 370, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 519, check)
    call createCurrent(P_sAnti, P_WpMinus, P_t, 367, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 1142, check)
    call createCurrent(P_c, P_Zp, P_tAnti, 618, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 694, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 585, check)
    call createCurrent(P_WpPlus, P_uAnti, P_b, 813, check)
    call createCurrent(P_sAnti, P_d, P_H, 1355, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_tauAnti, 555, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1628, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 780, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_muAnti, 1048, check)
    call createCurrent(P_H, P_dAnti, P_d, 265, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 1103, check)
    call createCurrent(P_WpPlus, P_d, P_cAnti, 1131, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 647, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 1081, check)
    call createCurrent(P_H, P_c, P_cAnti, 57, check)
    call createCurrent(P_uAnti, P_u, P_A, 865, check)
    call createCurrent(P_g, P_dAnti, P_d, 672, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 765, check)
    call createCurrent(P_Zp, P_sAnti, P_d, 77, check)
    call createCurrent(P_d, P_Z, P_dAnti, 83, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 1445, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 467, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 110, check)
    call createCurrent(P_t, P_A, P_tAnti, 159, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 507, check)
    call createCurrent(P_G0, P_Z, P_H, 695, check)
    call createCurrent(P_cAnti, P_c, P_Z, 368, check)
    call createCurrent(P_uAnti, P_u, P_H, 1396, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 1155, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 997, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 243, check)
    call createCurrent(P_b, P_WpPlus, P_uAnti, 1028, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1486, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 492, check)
    call createCurrent(P_H, P_Z, P_Z, 1005, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WpPlus, 1552, check)
    call createCurrent(P_WpMinus, P_nu_e, P_tauPlus, 150, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 1236, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 976, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 1343, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1670, check)
    call createCurrent(P_d, P_dAnti, P_Zp, 443, check)
    call createCurrent(P_g, P_g, P_WpMinus, P_WPlus, 1665, check)
    call createCurrent(P_dAnti, P_G0, P_d, 1303, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 1235, check)
    call createCurrent(P_A, P_A, 1499, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 557, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 1370, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 1378, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 1118, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 817, check)
    call createCurrent(P_cAnti, P_d, P_WpPlus, 1493, check)
    call createCurrent(P_cAnti, P_c, P_H, 1497, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 1287, check)
    call createCurrent(P_tAnti, P_g, P_t, 463, check)
    call createCurrent(P_t, P_WpMinus, P_bAnti, 767, check)
    call createCurrent(P_cAnti, P_G0, P_c, 343, check)
    call createCurrent(P_WpMinus, P_c, P_dAnti, 1176, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 948, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 381, check)
    call createCurrent(P_u, P_uAnti, P_A, 661, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 791, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 902, check)
    call createCurrent(P_t, P_cAnti, P_Zp, 456, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 1158, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1604, check)
    call createCurrent(P_WMinus, P_sAnti, P_u, 120, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 1416, check)
    call createCurrent(P_muMinus, P_tauPlus, P_Zp, 475, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 706, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 1467, check)
    call createCurrent(P_Zp, P_g, P_g, P_A, 1591, check)
    call createCurrent(P_g, P_WpMinus, P_WPlus, P_g, 1560, check)
    call createCurrent(P_cAnti, P_WpPlus, P_s, 989, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 652, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1626, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 1080, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1645, check)
    call createCurrent(P_d, P_Zp, P_dAnti, 916, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_muAnti, 288, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 376, check)
  end subroutine fill_current_1
end module currents_info1
